EntityManagerMessageLogger_$logger (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.internal
Class EntityManagerMessageLogger_$logger

    java.lang.Object
      org.hibernate.ejb.internal.EntityManagerMessageLogger_$logger

All Implemented Interfaces:
  Serializable, EntityManagerMessageLogger, CoreMessageLogger, org.jboss.logging.BasicLogger

    @Generated(value="org.jboss.logging.processor.model.MessageLoggerImplementor",
               date="2012-04-05T13:56:21-0500")
    public class EntityManagerMessageLogger_$logger

extends Object
implements Serializable, EntityManagerMessageLogger, CoreMessageLogger, org.jboss.logging.BasicLogger

Warning this class consists of generated code.

See Also:
  Serialized Form

Field Summary
`protected org.jboss.logging.Logger` | `log`

Constructor Summary
`EntityManagerMessageLogger_$logger(org.jboss.logging.Logger log)`

Method Summary
`void` | `addingOverrideFor(String arg0, String arg1)`
`protected String` | `addingOverrideFor$str()`
`void` | `alreadySessionBound()`
`protected String` | `alreadySessionBound$str()`
`void` | `autoCommitMode(boolean arg0)`
`protected String` | `autoCommitMode$str()`
`void` | `autoFlushWillNotWork()`
`protected String` | `autoFlushWillNotWork$str()`
`void` | `batchContainedStatementsOnRelease()`
`protected String` | `batchContainedStatementsOnRelease$str()`
`void` | `boundEjb3ConfigurationToJndiName(String name)`
`protected String` | `boundEjb3ConfigurationToJndiName$str()`
`void` | `bytecodeProvider(String arg0)`
`protected String` | `bytecodeProvider$str()`
`void` | `c3p0ProviderClassNotFound(String arg0)`
`protected String` | `c3p0ProviderClassNotFound$str()`
`void` | `cachedFileNotFound(String arg0, FileNotFoundException arg1)`
`protected String` | `cachedFileNotFound$str()`
`void` | `cacheProvider(String arg0)`
`protected String` | `cacheProvider$str()`
`void` | `callingJoinTransactionOnNonJtaEntityManager()`
`protected String` | `callingJoinTransactionOnNonJtaEntityManager$str()`
`void` | `cannotResolveNonNullableTransientDependencies(String arg0, Set arg1, Set arg2)`
`protected String` | `cannotResolveNonNullableTransientDependencies$str()`
`void` | `cleaningUpConnectionPool(String arg0)`
`protected String` | `cleaningUpConnectionPool$str()`
`void` | `closing()`
`protected String` | `closing$str()`
`void` | `closingUnreleasedBatch()`
`protected String` | `closingUnreleasedBatch$str()`
`void` | `collectionsFetched(long arg0)`
`protected String` | `collectionsFetched$str()`
`void` | `collectionsLoaded(long arg0)`
`protected String` | `collectionsLoaded$str()`
`void` | `collectionsRecreated(long arg0)`
`protected String` | `collectionsRecreated$str()`
`void` | `collectionsRemoved(long arg0)`
`protected String` | `collectionsRemoved$str()`
`void` | `collectionsUpdated(long arg0)`
`protected String` | `collectionsUpdated$str()`
`void` | `columns(Set arg0)`
`protected String` | `columns$str()`
`void` | `compositeIdClassDoesNotOverrideEquals(String arg0)`
`protected String` | `compositeIdClassDoesNotOverrideEquals$str()`
`void` | `compositeIdClassDoesNotOverrideHashCode(String arg0)`
`protected String` | `compositeIdClassDoesNotOverrideHashCode$str()`
`void` | `configurationResource(String arg0)`
`protected String` | `configurationResource$str()`
`void` | `configuredSessionFactory(String arg0)`
`protected String` | `configuredSessionFactory$str()`
`void` | `configuringFromFile(String arg0)`
`protected String` | `configuringFromFile$str()`
`void` | `configuringFromResource(String arg0)`
`protected String` | `configuringFromResource$str()`
`void` | `configuringFromUrl(URL arg0)`
`protected String` | `configuringFromUrl$str()`
`void` | `configuringFromXmlDocument()`
`protected String` | `configuringFromXmlDocument$str()`
`void` | `connectionProperties(Properties arg0)`
`protected String` | `connectionProperties$str()`
`void` | `connectionsObtained(long arg0)`
`protected String` | `connectionsObtained$str()`
`void` | `containerProvidingNullPersistenceUnitRootUrl()`
`protected String` | `containerProvidingNullPersistenceUnitRootUrl$str()`
`void` | `containsJoinFetchedCollection(String arg0)`
`protected String` | `containsJoinFetchedCollection$str()`
`void` | `couldNotBindJndiListener()`
`protected String` | `couldNotBindJndiListener$str()`
`void` | `creatingSubcontextInfo(String arg0)`
`protected String` | `creatingSubcontextInfo$str()`
`void` | `debug(Object message)`
`void` | `debug(Object message, Throwable t)`
`void` | `debug(String loggerFqcn, Object message, Object[] params, Throwable t)`
`void` | `debug(String loggerFqcn, Object message, Throwable t)`
`void` | `debugf(String format, Object... params)`
`void` | `debugf(String format, Object param1)`
`void` | `debugf(String format, Object param1, Object param2)`
`void` | `debugf(String format, Object param1, Object param2, Object param3)`
`void` | `debugf(Throwable t, String format, Object... params)`
`void` | `debugf(Throwable t, String format, Object param1)`
`void` | `debugf(Throwable t, String format, Object param1, Object param2)`
`void` | `debugf(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `debugv(String format, Object... params)`
`void` | `debugv(String format, Object param1)`
`void` | `debugv(String format, Object param1, Object param2)`
`void` | `debugv(String format, Object param1, Object param2, Object param3)`
`void` | `debugv(Throwable t, String format, Object... params)`
`void` | `debugv(Throwable t, String format, Object param1)`
`void` | `debugv(Throwable t, String format, Object param1, Object param2)`
`void` | `debugv(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `definingFlushBeforeCompletionIgnoredInHem(String arg0)`
`protected String` | `definingFlushBeforeCompletionIgnoredInHem$str()`
`void` | `deprecatedDerbyDialect()`
`protected String` | `deprecatedDerbyDialect$str()`
`void` | `deprecatedForceDescriminatorAnnotation()`
`protected String` | `deprecatedForceDescriminatorAnnotation$str()`
`void` | `deprecatedOracle9Dialect()`
`protected String` | `deprecatedOracle9Dialect$str()`
`void` | `deprecatedOracleDialect()`
`protected String` | `deprecatedOracleDialect$str()`
`void` | `deprecatedTransactionManagerStrategy(String arg0, String arg1, String arg2, String arg3)`
`protected String` | `deprecatedTransactionManagerStrategy$str()`
`void` | `deprecatedUuidGenerator(String arg0, String arg1)`
`protected String` | `deprecatedUuidGenerator$str()`
`void` | `disablingContextualLOBCreation(String arg0)`
`protected String` | `disablingContextualLOBCreation$str()`
`void` | `disablingContextualLOBCreationSinceConnectionNull()`
`protected String` | `disablingContextualLOBCreationSinceConnectionNull$str()`
`void` | `disablingContextualLOBCreationSinceCreateClobFailed(Throwable arg0)`
`protected String` | `disablingContextualLOBCreationSinceCreateClobFailed$str()`
`void` | `disablingContextualLOBCreationSinceOldJdbcVersion(int arg0)`
`protected String` | `disablingContextualLOBCreationSinceOldJdbcVersion$str()`
`void` | `disallowingInsertStatementComment()`
`protected String` | `disallowingInsertStatementComment$str()`
`void` | `duplicateGeneratorName(String arg0)`
`protected String` | `duplicateGeneratorName$str()`
`void` | `duplicateGeneratorTable(String arg0)`
`protected String` | `duplicateGeneratorTable$str()`
`void` | `duplicateImport(String arg0, String arg1)`
`protected String` | `duplicateImport$str()`
`void` | `duplicateJoins(String arg0)`
`protected String` | `duplicateJoins$str()`
`void` | `duplicateListener(String arg0)`
`protected String` | `duplicateListener$str()`
`void` | `duplicateMetadata()`
`protected String` | `duplicateMetadata$str()`
`void` | `ejb3ConfigurationName(String name)`
`protected String` | `ejb3ConfigurationName$str()`
`void` | `ejb3ConfigurationRenamedFromName(String name)`
`protected String` | `ejb3ConfigurationRenamedFromName$str()`
`void` | `ejb3ConfigurationUnboundFromName(String name)`
`protected String` | `ejb3ConfigurationUnboundFromName$str()`
`void` | `entitiesDeleted(long arg0)`
`protected String` | `entitiesDeleted$str()`
`void` | `entitiesFetched(long arg0)`
`protected String` | `entitiesFetched$str()`
`void` | `entitiesInserted(long arg0)`
`protected String` | `entitiesInserted$str()`
`void` | `entitiesLoaded(long arg0)`
`protected String` | `entitiesLoaded$str()`
`void` | `entitiesUpdated(long arg0)`
`protected String` | `entitiesUpdated$str()`
`void` | `entityAnnotationOnNonRoot(String arg0)`
`protected String` | `entityAnnotationOnNonRoot$str()`
`void` | `entityIdentifierValueBindingExists(String arg0)`
`protected String` | `entityIdentifierValueBindingExists$str()`
`void` | `entityManagerClosedBySomeoneElse(String arg0)`
`protected String` | `entityManagerClosedBySomeoneElse$str()`
`void` | `entityManagerFactoryAlreadyRegistered(String arg0, String arg1)`
`protected String` | `entityManagerFactoryAlreadyRegistered$str()`
`void` | `entityMappedAsNonAbstract(String arg0)`
`protected String` | `entityMappedAsNonAbstract$str()`
`void` | `error(Object message)`
`void` | `error(Object message, Throwable t)`
`void` | `error(String loggerFqcn, Object message, Object[] params, Throwable t)`
`void` | `error(String loggerFqcn, Object message, Throwable t)`
`void` | `errorf(String format, Object... params)`
`void` | `errorf(String format, Object param1)`
`void` | `errorf(String format, Object param1, Object param2)`
`void` | `errorf(String format, Object param1, Object param2, Object param3)`
`void` | `errorf(Throwable t, String format, Object... params)`
`void` | `errorf(Throwable t, String format, Object param1)`
`void` | `errorf(Throwable t, String format, Object param1, Object param2)`
`void` | `errorf(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `errorv(String format, Object... params)`
`void` | `errorv(String format, Object param1)`
`void` | `errorv(String format, Object param1, Object param2)`
`void` | `errorv(String format, Object param1, Object param2, Object param3)`
`void` | `errorv(Throwable t, String format, Object... params)`
`void` | `errorv(Throwable t, String format, Object param1)`
`void` | `errorv(Throwable t, String format, Object param1, Object param2)`
`void` | `errorv(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `exceptionHeaderFound(String arg0, String arg1)`
`protected String` | `exceptionHeaderFound$str()`
`void` | `exceptionHeaderNotFound(String arg0, String arg1)`
`protected String` | `exceptionHeaderNotFound$str()`
`void` | `exceptionInAfterTransactionCompletionInterceptor(Throwable arg0)`
`protected String` | `exceptionInAfterTransactionCompletionInterceptor$str()`
`void` | `exceptionInBeforeTransactionCompletionInterceptor(Throwable arg0)`
`protected String` | `exceptionInBeforeTransactionCompletionInterceptor$str()`
`void` | `exceptionInSubResolver(String arg0)`
`protected String` | `exceptionInSubResolver$str()`
`void` | `expectedType(String arg0, String arg1)`
`protected String` | `expectedType$str()`
`void` | `expired(Object arg0)`
`protected String` | `expired$str()`
`void` | `explodedJarDoesNotExist(URL jarUrl)`
`protected String` | `explodedJarDoesNotExist$str()`
`void` | `explodedJarNotDirectory(URL jarUrl)`
`protected String` | `explodedJarNotDirectory$str()`
`void` | `factoryBoundToJndiName(String arg0)`
`protected String` | `factoryBoundToJndiName$str()`
`void` | `factoryJndiRename(String arg0, String arg1)`
`protected String` | `factoryJndiRename$str()`
`void` | `factoryUnboundFromJndiName(String arg0)`
`protected String` | `factoryUnboundFromJndiName$str()`
`void` | `factoryUnboundFromName(String arg0)`
`protected String` | `factoryUnboundFromName$str()`
`void` | `failed(Throwable arg0)`
`protected String` | `failed$str()`
`void` | `failSafeCollectionsCleanup(CollectionLoadContext arg0)`
`protected String` | `failSafeCollectionsCleanup$str()`
`void` | `failSafeEntitiesCleanup(EntityLoadContext arg0)`
`protected String` | `failSafeEntitiesCleanup$str()`
`void` | `fatal(Object message)`
`void` | `fatal(Object message, Throwable t)`
`void` | `fatal(String loggerFqcn, Object message, Object[] params, Throwable t)`
`void` | `fatal(String loggerFqcn, Object message, Throwable t)`
`void` | `fatalf(String format, Object... params)`
`void` | `fatalf(String format, Object param1)`
`void` | `fatalf(String format, Object param1, Object param2)`
`void` | `fatalf(String format, Object param1, Object param2, Object param3)`
`void` | `fatalf(Throwable t, String format, Object... params)`
`void` | `fatalf(Throwable t, String format, Object param1)`
`void` | `fatalf(Throwable t, String format, Object param1, Object param2)`
`void` | `fatalf(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `fatalv(String format, Object... params)`
`void` | `fatalv(String format, Object param1)`
`void` | `fatalv(String format, Object param1, Object param2)`
`void` | `fatalv(String format, Object param1, Object param2, Object param3)`
`void` | `fatalv(Throwable t, String format, Object... params)`
`void` | `fatalv(Throwable t, String format, Object param1)`
`void` | `fatalv(Throwable t, String format, Object param1, Object param2)`
`void` | `fatalv(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `fetchingDatabaseMetadata()`
`protected String` | `fetchingDatabaseMetadata$str()`
`void` | `filterAnnotationOnSubclass(String arg0)`
`protected String` | `filterAnnotationOnSubclass$str()`
`void` | `firstOrMaxResultsSpecifiedWithCollectionFetch()`
`protected String` | `firstOrMaxResultsSpecifiedWithCollectionFetch$str()`
`void` | `flushes(long arg0)`
`protected String` | `flushes$str()`
`void` | `forcingContainerResourceCleanup()`
`protected String` | `forcingContainerResourceCleanup$str()`
`void` | `forcingTableUse()`
`protected String` | `forcingTableUse$str()`
`void` | `foreignKeys(Set arg0)`
`protected String` | `foreignKeys$str()`
`void` | `foundMappingDocument(String arg0)`
`protected String` | `foundMappingDocument$str()`
`void` | `gettersOfLazyClassesCannotBeFinal(String arg0, String arg1)`
`protected String` | `gettersOfLazyClassesCannotBeFinal$str()`
`void` | `guidGenerated(String arg0)`
`protected String` | `guidGenerated$str()`
`void` | `handlingTransientEntity()`
`protected String` | `handlingTransientEntity$str()`
`void` | `hibernateConnectionPoolSize(int arg0)`
`protected String` | `hibernateConnectionPoolSize$str()`
`void` | `honoringOptimizerSetting(String arg0, String arg1, int arg2)`
`protected String` | `honoringOptimizerSetting$str()`
`void` | `hql(String arg0, Long arg1, Long arg2)`
`protected String` | `hql$str()`
`void` | `hsqldbSupportsOnlyReadCommittedIsolation()`
`protected String` | `hsqldbSupportsOnlyReadCommittedIsolation$str()`
`void` | `hydratingEntitiesCount(int arg0)`
`protected String` | `hydratingEntitiesCount$str()`
`void` | `ignoringTableGeneratorConstraints(String arg0)`
`protected String` | `ignoringTableGeneratorConstraints$str()`
`void` | `ignoringUnrecognizedQueryHint(String arg0)`
`protected String` | `ignoringUnrecognizedQueryHint$str()`
`void` | `illegalArgumentOnStaticMetamodelFieldInjection(String name, String name2, String name3, String name4)`
`protected String` | `illegalArgumentOnStaticMetamodelFieldInjection$str()`
`void` | `illegalPropertyGetterArgument(String arg0, String arg1)`
`protected String` | `illegalPropertyGetterArgument$str()`
`void` | `illegalPropertySetterArgument(String arg0, String arg1)`
`protected String` | `illegalPropertySetterArgument$str()`
`void` | `immutableAnnotationOnNonRoot(String arg0)`
`protected String` | `immutableAnnotationOnNonRoot$str()`
`void` | `incompleteMappingMetadataCacheProcessing()`
`protected String` | `incompleteMappingMetadataCacheProcessing$str()`
`void` | `indexes(Set arg0)`
`protected String` | `indexes$str()`
`void` | `info(Object message)`
`void` | `info(Object message, Throwable t)`
`void` | `info(String loggerFqcn, Object message, Object[] params, Throwable t)`
`void` | `info(String loggerFqcn, Object message, Throwable t)`
`void` | `infof(String format, Object... params)`
`void` | `infof(String format, Object param1)`
`void` | `infof(String format, Object param1, Object param2)`
`void` | `infof(String format, Object param1, Object param2, Object param3)`
`void` | `infof(Throwable t, String format, Object... params)`
`void` | `infof(Throwable t, String format, Object param1)`
`void` | `infof(Throwable t, String format, Object param1, Object param2)`
`void` | `infof(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `infov(String format, Object... params)`
`void` | `infov(String format, Object param1)`
`void` | `infov(String format, Object param1, Object param2)`
`void` | `infov(String format, Object param1, Object param2, Object param3)`
`void` | `infov(Throwable t, String format, Object... params)`
`void` | `infov(Throwable t, String format, Object param1)`
`void` | `infov(Throwable t, String format, Object param1, Object param2)`
`void` | `infov(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `instantiatingExplicitConnectionProvider(String arg0)`
`protected String` | `instantiatingExplicitConnectionProvider$str()`
`void` | `invalidArrayElementType(String arg0)`
`protected String` | `invalidArrayElementType$str()`
`void` | `invalidDiscriminatorAnnotation(String arg0)`
`protected String` | `invalidDiscriminatorAnnotation$str()`
`void` | `invalidEditOfReadOnlyItem(Object arg0)`
`protected String` | `invalidEditOfReadOnlyItem$str()`
`void` | `invalidJndiName(String arg0, JndiNameException arg1)`
`protected String` | `invalidJndiName$str()`
`void` | `invalidOnDeleteAnnotation(String arg0)`
`protected String` | `invalidOnDeleteAnnotation$str()`
`void` | `invalidPrimaryKeyJoinColumnAnnotation()`
`protected String` | `invalidPrimaryKeyJoinColumnAnnotation$str()`
`void` | `invalidSubStrategy(String arg0)`
`protected String` | `invalidSubStrategy$str()`
`void` | `invalidTableAnnotation(String arg0)`
`protected String` | `invalidTableAnnotation$str()`
`boolean` | `isDebugEnabled()`
`boolean` | `isEnabled(org.jboss.logging.Logger.Level level)`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`void` | `jaccContextId(String arg0)`
`protected String` | `jaccContextId$str()`
`void` | `JavaSqlTypesMappedSameCodeMultipleTimes(int arg0, String arg1, String arg2)`
`protected String` | `JavaSqlTypesMappedSameCodeMultipleTimes$str()`
`String` | `javassistEnhancementFailed(String arg0)`
`protected String` | `javassistEnhancementFailed$str()`
`void` | `jdbcAutoCommitFalseBreaksEjb3Spec(String arg0)`
`protected String` | `jdbcAutoCommitFalseBreaksEjb3Spec$str()`
`void` | `jdbcDriverNotSpecified(String arg0)`
`protected String` | `jdbcDriverNotSpecified$str()`
`void` | `jdbcIsolationLevel(String arg0)`
`protected String` | `jdbcIsolationLevel$str()`
`String` | `jdbcRollbackFailed()`
`protected String` | `jdbcRollbackFailed$str()`
`String` | `jdbcUrlNotSpecified(String arg0)`
`protected String` | `jdbcUrlNotSpecified$str()`
`void` | `jndiInitialContextProperties(Hashtable arg0)`
`protected String` | `jndiInitialContextProperties$str()`
`void` | `jndiNameDoesNotHandleSessionFactoryReference(String arg0, ClassCastException arg1)`
`protected String` | `jndiNameDoesNotHandleSessionFactoryReference$str()`
`void` | `lazyPropertyFetchingAvailable(String arg0)`
`protected String` | `lazyPropertyFetchingAvailable$str()`
`void` | `legacyTransactionManagerStrategy(String arg0, String arg1)`
`protected String` | `legacyTransactionManagerStrategy$str()`
`void` | `loadingCollectionKeyNotFound(CollectionKey arg0)`
`protected String` | `loadingCollectionKeyNotFound$str()`
`void` | `localLoadingCollectionKeysCount(int arg0)`
`protected String` | `localLoadingCollectionKeysCount$str()`
`void` | `log(org.jboss.logging.Logger.Level level, Object message)`
`void` | `log(org.jboss.logging.Logger.Level level, Object message, Throwable t)`
`void` | `log(org.jboss.logging.Logger.Level level, String loggerFqcn, Object message, Throwable t)`
`void` | `log(String loggerFqcn, org.jboss.logging.Logger.Level level, Object message, Object[] params, Throwable t)`
`void` | `logf(org.jboss.logging.Logger.Level level, String format, Object... params)`
`void` | `logf(org.jboss.logging.Logger.Level level, String format, Object param1)`
`void` | `logf(org.jboss.logging.Logger.Level level, String format, Object param1, Object param2)`
`void` | `logf(org.jboss.logging.Logger.Level level, String format, Object param1, Object param2, Object param3)`
`void` | `logf(org.jboss.logging.Logger.Level level, Throwable t, String format, Object... params)`
`void` | `logf(org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1)`
`void` | `logf(org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2)`
`void` | `logf(org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `logf(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object... params)`
`void` | `logf(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1)`
`void` | `logf(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2)`
`void` | `logf(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `loggingStatistics()`
`protected String` | `loggingStatistics$str()`
`void` | `logicalConnectionClosed()`
`protected String` | `logicalConnectionClosed$str()`
`void` | `logicalConnectionReleasingPhysicalConnection()`
`protected String` | `logicalConnectionReleasingPhysicalConnection$str()`
`void` | `logv(org.jboss.logging.Logger.Level level, String format, Object... params)`
`void` | `logv(org.jboss.logging.Logger.Level level, String format, Object param1)`
`void` | `logv(org.jboss.logging.Logger.Level level, String format, Object param1, Object param2)`
`void` | `logv(org.jboss.logging.Logger.Level level, String format, Object param1, Object param2, Object param3)`
`void` | `logv(org.jboss.logging.Logger.Level level, Throwable t, String format, Object... params)`
`void` | `logv(org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1)`
`void` | `logv(org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2)`
`void` | `logv(org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `logv(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object... params)`
`void` | `logv(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1)`
`void` | `logv(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2)`
`void` | `logv(String loggerFqcn, org.jboss.logging.Logger.Level level, Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `malformedUrl(URL jarUrl, URISyntaxException e)`
`protected String` | `malformedUrl$str()`
`void` | `malformedUrlWarning(URL jarUrl, URISyntaxException e)`
`protected String` | `malformedUrlWarning$str()`
`void` | `maxQueryTime(long arg0)`
`protected String` | `maxQueryTime$str()`
`void` | `missingArguments(int arg0, int arg1)`
`protected String` | `missingArguments$str()`
`void` | `missingEntityAnnotation(String arg0)`
`protected String` | `missingEntityAnnotation$str()`
`void` | `namedQueryError(String arg0, HibernateException arg1)`
`protected String` | `namedQueryError$str()`
`void` | `namingExceptionAccessingFactory(NamingException arg0)`
`protected String` | `namingExceptionAccessingFactory$str()`
`void` | `narrowingProxy(Class arg0)`
`protected String` | `narrowingProxy$str()`
`void` | `naturalIdCacheHits(long arg0)`
`protected String` | `naturalIdCacheHits$str()`
`void` | `naturalIdCacheMisses(long arg0)`
`protected String` | `naturalIdCacheMisses$str()`
`void` | `naturalIdCachePuts(long arg0)`
`protected String` | `naturalIdCachePuts$str()`
`void` | `naturalIdMaxQueryTime(long arg0)`
`protected String` | `naturalIdMaxQueryTime$str()`
`void` | `naturalIdQueriesExecuted(long arg0)`
`protected String` | `naturalIdQueriesExecuted$str()`
`void` | `needsLimit()`
`protected String` | `needsLimit$str()`
`void` | `noAppropriateConnectionProvider()`
`protected String` | `noAppropriateConnectionProvider$str()`
`void` | `noColumnsSpecifiedForIndex(String arg0, String arg1)`
`protected String` | `noColumnsSpecifiedForIndex$str()`
`void` | `noDefaultConstructor(String arg0)`
`protected String` | `noDefaultConstructor$str()`
`void` | `noPersistentClassesFound(String arg0)`
`protected String` | `noPersistentClassesFound$str()`
`void` | `noSessionFactoryWithJndiName(String arg0, NameNotFoundException arg1)`
`protected String` | `noSessionFactoryWithJndiName$str()`
`void` | `optimisticLockFailures(long arg0)`
`protected String` | `optimisticLockFailures$str()`
`void` | `orderByAnnotationIndexedCollection()`
`protected String` | `orderByAnnotationIndexedCollection$str()`
`void` | `overridingTransactionStrategyDangerous(String arg0)`
`protected String` | `overridingTransactionStrategyDangerous$str()`
`void` | `packageNotFound(String arg0)`
`protected String` | `packageNotFound$str()`
`void` | `parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter(Integer arg0)`
`protected String` | `parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter$str()`
`void` | `parsingXmlError(int arg0, String arg1)`
`protected String` | `parsingXmlError$str()`
`void` | `parsingXmlErrorForFile(String arg0, int arg1, String arg2)`
`protected String` | `parsingXmlErrorForFile$str()`
`void` | `parsingXmlWarning(int arg0, String arg1)`
`protected String` | `parsingXmlWarning$str()`
`void` | `parsingXmlWarningForFile(String arg0, int arg1, String arg2)`
`protected String` | `parsingXmlWarningForFile$str()`
`void` | `persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly()`
`protected String` | `persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly$str()`
`void` | `pooledOptimizerReportedInitialValue(IntegralDataTypeHolder arg0)`
`protected String` | `pooledOptimizerReportedInitialValue$str()`
`void` | `preparedStatementAlreadyInBatch(String arg0)`
`protected String` | `preparedStatementAlreadyInBatch$str()`
`void` | `processEqualityExpression()`
`protected String` | `processEqualityExpression$str()`
`void` | `processingPersistenceUnitInfoName(String arg0)`
`protected String` | `processingPersistenceUnitInfoName$str()`
`void` | `propertiesLoaded(Properties arg0)`
`protected String` | `propertiesLoaded$str()`
`void` | `propertiesNotFound()`
`protected String` | `propertiesNotFound$str()`
`void` | `propertyNotFound(String arg0)`
`protected String` | `propertyNotFound$str()`
`void` | `providerClassDeprecated(String arg0, String arg1)`
`protected String` | `providerClassDeprecated$str()`
`void` | `proxoolProviderClassNotFound(String arg0)`
`protected String` | `proxoolProviderClassNotFound$str()`
`void` | `queriesExecuted(long arg0)`
`protected String` | `queriesExecuted$str()`
`void` | `queryCacheHits(long arg0)`
`protected String` | `queryCacheHits$str()`
`void` | `queryCacheMisses(long arg0)`
`protected String` | `queryCacheMisses$str()`
`void` | `queryCachePuts(long arg0)`
`protected String` | `queryCachePuts$str()`
`void` | `rdmsOs2200Dialect()`
`protected String` | `rdmsOs2200Dialect$str()`
`void` | `readingCachedMappings(File arg0)`
`protected String` | `readingCachedMappings$str()`
`void` | `readingMappingsFromFile(String arg0)`
`protected String` | `readingMappingsFromFile$str()`
`void` | `readingMappingsFromResource(String arg0)`
`protected String` | `readingMappingsFromResource$str()`
`void` | `readOnlyCacheConfiguredForMutableCollection(String arg0)`
`protected String` | `readOnlyCacheConfiguredForMutableCollection$str()`
`void` | `recognizedObsoleteHibernateNamespace(String arg0, String arg1)`
`protected String` | `recognizedObsoleteHibernateNamespace$str()`
`void` | `renamedProperty(Object arg0, Object arg1)`
`protected String` | `renamedProperty$str()`
`void` | `requiredDifferentProvider(String arg0)`
`protected String` | `requiredDifferentProvider$str()`
`void` | `resolvedSqlTypeDescriptorForDifferentSqlCode(String arg0, String arg1, String arg2, String arg3)`
`protected String` | `resolvedSqlTypeDescriptorForDifferentSqlCode$str()`
`void` | `runningHbm2ddlSchemaExport()`
`protected String` | `runningHbm2ddlSchemaExport$str()`
`void` | `runningHbm2ddlSchemaUpdate()`
`protected String` | `runningHbm2ddlSchemaUpdate$str()`
`void` | `runningSchemaValidator()`
`protected String` | `runningSchemaValidator$str()`
`void` | `schemaExportComplete()`
`protected String` | `schemaExportComplete$str()`
`void` | `schemaExportUnsuccessful(Exception arg0)`
`protected String` | `schemaExportUnsuccessful$str()`
`void` | `schemaUpdateComplete()`
`protected String` | `schemaUpdateComplete$str()`
`void` | `scopingTypesToSessionFactoryAfterAlreadyScoped(SessionFactoryImplementor arg0, SessionFactoryImplementor arg1)`
`protected String` | `scopingTypesToSessionFactoryAfterAlreadyScoped$str()`
`void` | `searchingForMappingDocuments(String arg0)`
`protected String` | `searchingForMappingDocuments$str()`
`void` | `secondLevelCacheHits(long arg0)`
`protected String` | `secondLevelCacheHits$str()`
`void` | `secondLevelCacheMisses(long arg0)`
`protected String` | `secondLevelCacheMisses$str()`
`void` | `secondLevelCachePuts(long arg0)`
`protected String` | `secondLevelCachePuts$str()`
`void` | `serviceProperties(Properties arg0)`
`protected String` | `serviceProperties$str()`
`void` | `sessionsClosed(long arg0)`
`protected String` | `sessionsClosed$str()`
`void` | `sessionsOpened(long arg0)`
`protected String` | `sessionsOpened$str()`
`void` | `setManagerLookupClass()`
`protected String` | `setManagerLookupClass$str()`
`void` | `settersOfLazyClassesCannotBeFinal(String arg0, String arg1)`
`protected String` | `settersOfLazyClassesCannotBeFinal$str()`
`void` | `sortAnnotationIndexedCollection()`
`protected String` | `sortAnnotationIndexedCollection$str()`
`void` | `splitQueries(String arg0, int arg1)`
`protected String` | `splitQueries$str()`
`void` | `sqlExceptionEscapedProxy(SQLException arg0)`
`protected String` | `sqlExceptionEscapedProxy$str()`
`void` | `sqlWarning(int arg0, String arg1)`
`protected String` | `sqlWarning$str()`
`void` | `startingQueryCache(String arg0)`
`protected String` | `startingQueryCache$str()`
`void` | `startingServiceAtJndiName(String arg0)`
`protected String` | `startingServiceAtJndiName$str()`
`void` | `startingUpdateTimestampsCache(String arg0)`
`protected String` | `startingUpdateTimestampsCache$str()`
`void` | `startTime(long arg0)`
`protected String` | `startTime$str()`
`void` | `statementsClosed(long arg0)`
`protected String` | `statementsClosed$str()`
`void` | `statementsPrepared(long arg0)`
`protected String` | `statementsPrepared$str()`
`void` | `stoppingService()`
`protected String` | `stoppingService$str()`
`void` | `subResolverException(String arg0)`
`protected String` | `subResolverException$str()`
`void` | `successfulTransactions(long arg0)`
`protected String` | `successfulTransactions$str()`
`void` | `synchronizationAlreadyRegistered(Synchronization arg0)`
`protected String` | `synchronizationAlreadyRegistered$str()`
`void` | `synchronizationFailed(Synchronization arg0, Throwable arg1)`
`protected String` | `synchronizationFailed$str()`
`void` | `tableFound(String arg0)`
`protected String` | `tableFound$str()`
`void` | `tableNotFound(String arg0)`
`protected String` | `tableNotFound$str()`
`void` | `timestampCacheHits(long arg0)`
`protected String` | `timestampCacheHits$str()`
`void` | `timestampCacheMisses(long arg0)`
`protected String` | `timestampCacheMisses$str()`
`void` | `timestampCachePuts(long arg0)`
`protected String` | `timestampCachePuts$str()`
`void` | `trace(Object message)`
`void` | `trace(Object message, Throwable t)`
`void` | `trace(String loggerFqcn, Object message, Object[] params, Throwable t)`
`void` | `trace(String loggerFqcn, Object message, Throwable t)`
`void` | `tracef(String format, Object... params)`
`void` | `tracef(String format, Object param1)`
`void` | `tracef(String format, Object param1, Object param2)`
`void` | `tracef(String format, Object param1, Object param2, Object param3)`
`void` | `tracef(Throwable t, String format, Object... params)`
`void` | `tracef(Throwable t, String format, Object param1)`
`void` | `tracef(Throwable t, String format, Object param1, Object param2)`
`void` | `tracef(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `tracev(String format, Object... params)`
`void` | `tracev(String format, Object param1)`
`void` | `tracev(String format, Object param1, Object param2)`
`void` | `tracev(String format, Object param1, Object param2, Object param3)`
`void` | `tracev(Throwable t, String format, Object... params)`
`void` | `tracev(Throwable t, String format, Object param1)`
`void` | `tracev(Throwable t, String format, Object param1, Object param2)`
`void` | `tracev(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `transactions(long arg0)`
`protected String` | `transactions$str()`
`void` | `transactionStartedOnNonRootSession()`
`protected String` | `transactionStartedOnNonRootSession$str()`
`void` | `transactionStrategy(String arg0)`
`protected String` | `transactionStrategy$str()`
`void` | `typeDefinedNoRegistrationKeys(BasicType arg0)`
`protected String` | `typeDefinedNoRegistrationKeys$str()`
`void` | `typeRegistrationOverridesPrevious(String arg0, Type arg1)`
`protected String` | `typeRegistrationOverridesPrevious$str()`
`void` | `unableToAccessEjb3Configuration(NamingException arg0)`
`protected String` | `unableToAccessEjb3Configuration$str()`
`void` | `unableToAccessSessionFactory(String arg0, NamingException arg1)`
`protected String` | `unableToAccessSessionFactory$str()`
`void` | `unableToAccessTypeInfoResultSet(String arg0)`
`protected String` | `unableToAccessTypeInfoResultSet$str()`
`void` | `unableToApplyConstraints(String arg0, Exception arg1)`
`protected String` | `unableToApplyConstraints$str()`
`void` | `unableToBindEjb3ConfigurationToJndi(JndiException arg0)`
`protected String` | `unableToBindEjb3ConfigurationToJndi$str()`
`void` | `unableToBindFactoryToJndi(JndiException arg0)`
`protected String` | `unableToBindFactoryToJndi$str()`
`void` | `unableToBindValueToParameter(String arg0, int arg1, String arg2)`
`protected String` | `unableToBindValueToParameter$str()`
`void` | `unableToBuildEnhancementMetamodel(String arg0)`
`protected String` | `unableToBuildEnhancementMetamodel$str()`
`void` | `unableToBuildSessionFactoryUsingMBeanClasspath(String arg0)`
`protected String` | `unableToBuildSessionFactoryUsingMBeanClasspath$str()`
`void` | `unableToCleanUpCallableStatement(SQLException arg0)`
`protected String` | `unableToCleanUpCallableStatement$str()`
`void` | `unableToCleanUpPreparedStatement(SQLException arg0)`
`protected String` | `unableToCleanUpPreparedStatement$str()`
`void` | `unableToCleanupTemporaryIdTable(Throwable arg0)`
`protected String` | `unableToCleanupTemporaryIdTable$str()`
`void` | `unableToCloseConnection(Exception arg0)`
`protected String` | `unableToCloseConnection$str()`
`void` | `unableToCloseInitialContext(String arg0)`
`protected String` | `unableToCloseInitialContext$str()`
`void` | `unableToCloseInputFiles(String arg0, IOException arg1)`
`protected String` | `unableToCloseInputFiles$str()`
`void` | `unableToCloseInputStream(IOException arg0)`
`protected String` | `unableToCloseInputStream$str()`
`void` | `unableToCloseInputStreamForResource(String arg0, IOException arg1)`
`protected String` | `unableToCloseInputStreamForResource$str()`
`void` | `unableToCloseIterator(SQLException arg0)`
`protected String` | `unableToCloseIterator$str()`
`void` | `unableToCloseJar(String arg0)`
`protected String` | `unableToCloseJar$str()`
`void` | `unableToCloseOutputFile(String arg0, IOException arg1)`
`protected String` | `unableToCloseOutputFile$str()`
`void` | `unableToCloseOutputStream(IOException arg0)`
`protected String` | `unableToCloseOutputStream$str()`
`void` | `unableToClosePooledConnection(SQLException arg0)`
`protected String` | `unableToClosePooledConnection$str()`
`void` | `unableToCloseSession(HibernateException arg0)`
`protected String` | `unableToCloseSession$str()`
`void` | `unableToCloseSessionButSwallowingError(HibernateException arg0)`
`protected String` | `unableToCloseSessionButSwallowingError$str()`
`void` | `unableToCloseSessionDuringRollback(Exception arg0)`
`protected String` | `unableToCloseSessionDuringRollback$str()`
`void` | `unableToCloseStream(IOException arg0)`
`protected String` | `unableToCloseStream$str()`
`void` | `unableToCloseStreamError(IOException arg0)`
`protected String` | `unableToCloseStreamError$str()`
`String` | `unableToCommitJta()`
`protected String` | `unableToCommitJta$str()`
`void` | `unableToCompleteSchemaUpdate(Exception arg0)`
`protected String` | `unableToCompleteSchemaUpdate$str()`
`void` | `unableToCompleteSchemaValidation(SQLException arg0)`
`protected String` | `unableToCompleteSchemaValidation$str()`
`void` | `unableToConfigureSqlExceptionConverter(HibernateException arg0)`
`protected String` | `unableToConfigureSqlExceptionConverter$str()`
`void` | `unableToConstructCurrentSessionContext(String arg0, Throwable arg1)`
`protected String` | `unableToConstructCurrentSessionContext$str()`
`void` | `unableToConstructSqlExceptionConverter(Throwable arg0)`
`protected String` | `unableToConstructSqlExceptionConverter$str()`
`void` | `unableToCopySystemProperties()`
`protected String` | `unableToCopySystemProperties$str()`
`void` | `unableToCreateProxyFactory(String arg0, HibernateException arg1)`
`protected String` | `unableToCreateProxyFactory$str()`
`void` | `unableToCreateSchema(Exception arg0)`
`protected String` | `unableToCreateSchema$str()`
`void` | `unableToDeserializeCache(String arg0, SerializationException arg1)`
`protected String` | `unableToDeserializeCache$str()`
`void` | `unableToDestroyCache(String arg0)`
`protected String` | `unableToDestroyCache$str()`
`void` | `unableToDestroyQueryCache(String arg0, String arg1)`
`protected String` | `unableToDestroyQueryCache$str()`
`void` | `unableToDestroyUpdateTimestampsCache(String arg0, String arg1)`
`protected String` | `unableToDestroyUpdateTimestampsCache$str()`
`void` | `unableToDetermineLockModeValue(String arg0, Object arg1)`
`protected String` | `unableToDetermineLockModeValue$str()`
`String` | `unableToDetermineTransactionStatus()`
`protected String` | `unableToDetermineTransactionStatus$str()`
`String` | `unableToDetermineTransactionStatusAfterCommit()`
`protected String` | `unableToDetermineTransactionStatusAfterCommit$str()`
`void` | `unableToDropTemporaryIdTable(String arg0)`
`protected String` | `unableToDropTemporaryIdTable$str()`
`void` | `unableToExecuteBatch(String arg0)`
`protected String` | `unableToExecuteBatch$str()`
`void` | `unableToExecuteResolver(AbstractDialectResolver arg0, String arg1)`
`protected String` | `unableToExecuteResolver$str()`
`void` | `unableToFindFile(URL jarUrl, Exception e)`
`protected String` | `unableToFindFile$str()`
`void` | `unableToFindPersistenceXmlInClasspath()`
`protected String` | `unableToFindPersistenceXmlInClasspath$str()`
`void` | `unableToGetDatabaseMetadata(SQLException arg0)`
`protected String` | `unableToGetDatabaseMetadata$str()`
`void` | `unableToInstantiateConfiguredSchemaNameResolver(String arg0, String arg1)`
`protected String` | `unableToInstantiateConfiguredSchemaNameResolver$str()`
`void` | `unableToInstantiateOptimizer(String arg0)`
`protected String` | `unableToInstantiateOptimizer$str()`
`void` | `unableToInstantiateUuidGenerationStrategy(Exception arg0)`
`protected String` | `unableToInstantiateUuidGenerationStrategy$str()`
`void` | `unableToJoinTransaction(String arg0)`
`protected String` | `unableToJoinTransaction$str()`
`void` | `unableToLoadCommand(HibernateException arg0)`
`protected String` | `unableToLoadCommand$str()`
`void` | `unableToLoadDerbyDriver(String arg0)`
`protected String` | `unableToLoadDerbyDriver$str()`
`void` | `unableToLoadProperties()`
`protected String` | `unableToLoadProperties$str()`
`String` | `unableToLocateConfigFile(String arg0)`
`protected String` | `unableToLocateConfigFile$str()`
`void` | `unableToLocateConfiguredSchemaNameResolver(String arg0, String arg1)`
`protected String` | `unableToLocateConfiguredSchemaNameResolver$str()`
`void` | `unableToLocateCustomOptimizerClass(String arg0)`
`protected String` | `unableToLocateCustomOptimizerClass$str()`
`void` | `unableToLocateMBeanServer()`
`protected String` | `unableToLocateMBeanServer$str()`
`void` | `unableToLocateStaticMetamodelField(String name, String name2)`
`protected String` | `unableToLocateStaticMetamodelField$str()`
`void` | `unableToLocateUuidGenerationStrategy(String arg0)`
`protected String` | `unableToLocateUuidGenerationStrategy$str()`
`void` | `unableToLogSqlWarnings(SQLException arg0)`
`protected String` | `unableToLogSqlWarnings$str()`
`void` | `unableToLogWarnings(SQLException arg0)`
`protected String` | `unableToLogWarnings$str()`
`void` | `unableToMarkForRollbackOnPersistenceException(Exception arg0)`
`protected String` | `unableToMarkForRollbackOnPersistenceException$str()`
`void` | `unableToMarkForRollbackOnTransientObjectException(Exception arg0)`
`protected String` | `unableToMarkForRollbackOnTransientObjectException$str()`
`void` | `unableToObjectConnectionMetadata(SQLException arg0)`
`protected String` | `unableToObjectConnectionMetadata$str()`
`void` | `unableToObjectConnectionToQueryMetadata(SQLException arg0)`
`protected String` | `unableToObjectConnectionToQueryMetadata$str()`
`void` | `unableToObtainConnectionMetadata(String arg0)`
`protected String` | `unableToObtainConnectionMetadata$str()`
`void` | `unableToObtainConnectionToQueryMetadata(String arg0)`
`protected String` | `unableToObtainConnectionToQueryMetadata$str()`
`void` | `unableToObtainInitialContext(NamingException arg0)`
`protected String` | `unableToObtainInitialContext$str()`
`void` | `unableToParseMetadata(String arg0)`
`protected String` | `unableToParseMetadata$str()`
`String` | `unableToPerformJdbcCommit()`
`protected String` | `unableToPerformJdbcCommit$str()`
`void` | `unableToPerformManagedFlush(String arg0)`
`protected String` | `unableToPerformManagedFlush$str()`
`String` | `unableToQueryDatabaseMetadata()`
`protected String` | `unableToQueryDatabaseMetadata$str()`
`void` | `unableToReadClass(String arg0)`
`protected String` | `unableToReadClass$str()`
`void` | `unableToReadColumnValueFromResultSet(String arg0, String arg1)`
`protected String` | `unableToReadColumnValueFromResultSet$str()`
`String` | `unableToReadHiValue(String arg0)`
`protected String` | `unableToReadHiValue$str()`
`void` | `unableToReadOrInitHiValue(SQLException arg0)`
`protected String` | `unableToReadOrInitHiValue$str()`
`void` | `unableToReleaseBatchStatement()`
`protected String` | `unableToReleaseBatchStatement$str()`
`void` | `unableToReleaseCacheLock(CacheException arg0)`
`protected String` | `unableToReleaseCacheLock$str()`
`void` | `unableToReleaseContext(String arg0)`
`protected String` | `unableToReleaseContext$str()`
`void` | `unableToReleaseCreatedMBeanServer(String arg0)`
`protected String` | `unableToReleaseCreatedMBeanServer$str()`
`void` | `unableToReleaseIsolatedConnection(Throwable arg0)`
`protected String` | `unableToReleaseIsolatedConnection$str()`
`void` | `unableToReleaseTypeInfoResultSet()`
`protected String` | `unableToReleaseTypeInfoResultSet$str()`
`void` | `unableToRemoveBagJoinFetch()`
`protected String` | `unableToRemoveBagJoinFetch$str()`
`void` | `unableToResolveAggregateFunction(String arg0)`
`protected String` | `unableToResolveAggregateFunction$str()`
`void` | `unableToResolveMappingFile(String arg0)`
`protected String` | `unableToResolveMappingFile$str()`
`void` | `unableToRetrieveCache(String arg0, String arg1)`
`protected String` | `unableToRetrieveCache$str()`
`void` | `unableToRetrieveTypeInfoResultSet(String arg0)`
`protected String` | `unableToRetrieveTypeInfoResultSet$str()`
`void` | `unableToRollbackConnection(Exception arg0)`
`protected String` | `unableToRollbackConnection$str()`
`void` | `unableToRollbackIsolatedTransaction(Exception arg0, Exception arg1)`
`protected String` | `unableToRollbackIsolatedTransaction$str()`
`String` | `unableToRollbackJta()`
`protected String` | `unableToRollbackJta$str()`
`void` | `unableToRunSchemaUpdate(Exception arg0)`
`protected String` | `unableToRunSchemaUpdate$str()`
`void` | `unableToSetTransactionToRollbackOnly(SystemException arg0)`
`protected String` | `unableToSetTransactionToRollbackOnly$str()`
`void` | `unableToStopHibernateService(Exception arg0)`
`protected String` | `unableToStopHibernateService$str()`
`void` | `unableToStopService(Class arg0, String arg1)`
`protected String` | `unableToStopService$str()`
`void` | `unableToSwitchToMethodUsingColumnIndex(Method arg0)`
`protected String` | `unableToSwitchToMethodUsingColumnIndex$str()`
`void` | `unableToSynchronizeDatabaseStateWithSession(HibernateException arg0)`
`protected String` | `unableToSynchronizeDatabaseStateWithSession$str()`
`void` | `unableToToggleAutoCommit(Exception arg0)`
`protected String` | `unableToToggleAutoCommit$str()`
`void` | `unableToTransformClass(String arg0)`
`protected String` | `unableToTransformClass$str()`
`void` | `unableToUnbindFactoryFromJndi(JndiException arg0)`
`protected String` | `unableToUnbindFactoryFromJndi$str()`
`Object` | `unableToUpdateHiValue(String arg0)`
`protected String` | `unableToUpdateHiValue$str()`
`void` | `unableToUpdateQueryHiValue(String arg0, SQLException arg1)`
`protected String` | `unableToUpdateQueryHiValue$str()`
`void` | `unableToWrapResultSet(SQLException arg0)`
`protected String` | `unableToWrapResultSet$str()`
`void` | `unableToWriteCachedFile(String arg0, String arg1)`
`protected String` | `unableToWriteCachedFile$str()`
`void` | `undeterminedH2Version()`
`protected String` | `undeterminedH2Version$str()`
`void` | `unexpectedLiteralTokenType(int arg0)`
`protected String` | `unexpectedLiteralTokenType$str()`
`void` | `unexpectedRowCounts()`
`protected String` | `unexpectedRowCounts$str()`
`void` | `unknownBytecodeProvider(String arg0)`
`protected String` | `unknownBytecodeProvider$str()`
`void` | `unknownIngresVersion(int arg0)`
`protected String` | `unknownIngresVersion$str()`
`void` | `unknownOracleVersion(int arg0)`
`protected String` | `unknownOracleVersion$str()`
`void` | `unknownSqlServerVersion(int arg0)`
`protected String` | `unknownSqlServerVersion$str()`
`void` | `unregisteredResultSetWithoutStatement()`
`protected String` | `unregisteredResultSetWithoutStatement$str()`
`void` | `unregisteredStatement()`
`protected String` | `unregisteredStatement$str()`
`void` | `unsuccessful(String arg0)`
`protected String` | `unsuccessful$str()`
`void` | `unsuccessfulCreate(String arg0)`
`protected String` | `unsuccessfulCreate$str()`
`void` | `unsupportedAfterStatement()`
`protected String` | `unsupportedAfterStatement$str()`
`void` | `unsupportedIngresVersion()`
`protected String` | `unsupportedIngresVersion$str()`
`void` | `unsupportedInitialValue(String arg0)`
`protected String` | `unsupportedInitialValue$str()`
`void` | `unsupportedMultiTableBulkHqlJpaql(int arg0, int arg1, int arg2)`
`protected String` | `unsupportedMultiTableBulkHqlJpaql$str()`
`void` | `unsupportedOracleVersion()`
`protected String` | `unsupportedOracleVersion$str()`
`void` | `unsupportedProperty(Object arg0, Object arg1)`
`protected String` | `unsupportedProperty$str()`
`void` | `updatingSchema()`
`protected String` | `updatingSchema$str()`
`void` | `usingAstQueryTranslatorFactory()`
`protected String` | `usingAstQueryTranslatorFactory$str()`
`void` | `usingDefaultIdGeneratorSegmentValue(String arg0, String arg1, String arg2)`
`protected String` | `usingDefaultIdGeneratorSegmentValue$str()`
`void` | `usingDefaultTransactionStrategy()`
`protected String` | `usingDefaultTransactionStrategy$str()`
`void` | `usingDialect(Dialect arg0)`
`protected String` | `usingDialect$str()`
`void` | `usingDriver(String arg0, String arg1)`
`protected String` | `usingDriver$str()`
`void` | `usingHibernateBuiltInConnectionPool()`
`protected String` | `usingHibernateBuiltInConnectionPool$str()`
`void` | `usingOldDtd()`
`protected String` | `usingOldDtd$str()`
`void` | `usingProvidedDataSource()`
`protected String` | `usingProvidedDataSource$str()`
`void` | `usingReflectionOptimizer()`
`protected String` | `usingReflectionOptimizer$str()`
`void` | `usingStreams()`
`protected String` | `usingStreams$str()`
`void` | `usingTimestampWorkaround()`
`protected String` | `usingTimestampWorkaround$str()`
`void` | `usingUuidHexGenerator(String arg0, String arg1)`
`protected String` | `usingUuidHexGenerator$str()`
`void` | `validatorNotFound()`
`protected String` | `validatorNotFound$str()`
`void` | `version(String arg0)`
`protected String` | `version$str()`
`void` | `warn(Object message)`
`void` | `warn(Object message, Throwable t)`
`void` | `warn(String loggerFqcn, Object message, Object[] params, Throwable t)`
`void` | `warn(String loggerFqcn, Object message, Throwable t)`
`void` | `warnf(String format, Object... params)`
`void` | `warnf(String format, Object param1)`
`void` | `warnf(String format, Object param1, Object param2)`
`void` | `warnf(String format, Object param1, Object param2, Object param3)`
`void` | `warnf(Throwable t, String format, Object... params)`
`void` | `warnf(Throwable t, String format, Object param1)`
`void` | `warnf(Throwable t, String format, Object param1, Object param2)`
`void` | `warnf(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `warningsCreatingTempTable(SQLWarning arg0)`
`protected String` | `warningsCreatingTempTable$str()`
`void` | `warnv(String format, Object... params)`
`void` | `warnv(String format, Object param1)`
`void` | `warnv(String format, Object param1, Object param2)`
`void` | `warnv(String format, Object param1, Object param2, Object param3)`
`void` | `warnv(Throwable t, String format, Object... params)`
`void` | `warnv(Throwable t, String format, Object param1)`
`void` | `warnv(Throwable t, String format, Object param1, Object param2)`
`void` | `warnv(Throwable t, String format, Object param1, Object param2, Object param3)`
`void` | `willNotRegisterListeners()`
`protected String` | `willNotRegisterListeners$str()`
`void` | `writeLocksNotSupported(String arg0)`
`protected String` | `writeLocksNotSupported$str()`
`void` | `writingGeneratedSchemaToFile(String arg0)`
`protected String` | `writingGeneratedSchemaToFile$str()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.jboss.logging.Logger log

Constructor Detail

### EntityManagerMessageLogger_$logger

    public EntityManagerMessageLogger_$logger(org.jboss.logging.Logger log)

Method Detail

### isTraceEnabled

    public final boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `org.jboss.logging.BasicLogger`

### trace

    public final void trace(Object message)

  Specified by:
    `trace` in interface `org.jboss.logging.BasicLogger`

### trace

    public final void trace(Object message,
                            Throwable t)

  Specified by:
    `trace` in interface `org.jboss.logging.BasicLogger`

### trace

    public final void trace(String loggerFqcn,
                            Object message,
                            Throwable t)

  Specified by:
    `trace` in interface `org.jboss.logging.BasicLogger`

### trace

    public final void trace(String loggerFqcn,
                            Object message,
                            Object[] params,
                            Throwable t)

  Specified by:
    `trace` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(String format,
                             Object... params)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(String format,
                             Object param1)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracev

    public final void tracev(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `tracev` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(String format,
                             Object... params)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(String format,
                             Object param1)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### tracef

    public final void tracef(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `tracef` in interface `org.jboss.logging.BasicLogger`

### isDebugEnabled

    public final boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.jboss.logging.BasicLogger`

### debug

    public final void debug(Object message)

  Specified by:
    `debug` in interface `org.jboss.logging.BasicLogger`

### debug

    public final void debug(Object message,
                            Throwable t)

  Specified by:
    `debug` in interface `org.jboss.logging.BasicLogger`

### debug

    public final void debug(String loggerFqcn,
                            Object message,
                            Throwable t)

  Specified by:
    `debug` in interface `org.jboss.logging.BasicLogger`

### debug

    public final void debug(String loggerFqcn,
                            Object message,
                            Object[] params,
                            Throwable t)

  Specified by:
    `debug` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(String format,
                             Object... params)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(String format,
                             Object param1)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugv

    public final void debugv(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `debugv` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(String format,
                             Object... params)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(String format,
                             Object param1)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### debugf

    public final void debugf(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `debugf` in interface `org.jboss.logging.BasicLogger`

### isInfoEnabled

    public final boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.jboss.logging.BasicLogger`

### info

    public final void info(Object message)

  Specified by:
    `info` in interface `org.jboss.logging.BasicLogger`

### info

    public final void info(Object message,
                           Throwable t)

  Specified by:
    `info` in interface `org.jboss.logging.BasicLogger`

### info

    public final void info(String loggerFqcn,
                           Object message,
                           Throwable t)

  Specified by:
    `info` in interface `org.jboss.logging.BasicLogger`

### info

    public final void info(String loggerFqcn,
                           Object message,
                           Object[] params,
                           Throwable t)

  Specified by:
    `info` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(String format,
                            Object... params)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(String format,
                            Object param1)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(String format,
                            Object param1,
                            Object param2)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(Throwable t,
                            String format,
                            Object... params)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(Throwable t,
                            String format,
                            Object param1)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(Throwable t,
                            String format,
                            Object param1,
                            Object param2)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infov

    public final void infov(Throwable t,
                            String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `infov` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(String format,
                            Object... params)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(String format,
                            Object param1)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(String format,
                            Object param1,
                            Object param2)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(Throwable t,
                            String format,
                            Object... params)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(Throwable t,
                            String format,
                            Object param1)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(Throwable t,
                            String format,
                            Object param1,
                            Object param2)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### infof

    public final void infof(Throwable t,
                            String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `infof` in interface `org.jboss.logging.BasicLogger`

### warn

    public final void warn(Object message)

  Specified by:
    `warn` in interface `org.jboss.logging.BasicLogger`

### warn

    public final void warn(Object message,
                           Throwable t)

  Specified by:
    `warn` in interface `org.jboss.logging.BasicLogger`

### warn

    public final void warn(String loggerFqcn,
                           Object message,
                           Throwable t)

  Specified by:
    `warn` in interface `org.jboss.logging.BasicLogger`

### warn

    public final void warn(String loggerFqcn,
                           Object message,
                           Object[] params,
                           Throwable t)

  Specified by:
    `warn` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(String format,
                            Object... params)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(String format,
                            Object param1)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(String format,
                            Object param1,
                            Object param2)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(Throwable t,
                            String format,
                            Object... params)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(Throwable t,
                            String format,
                            Object param1)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(Throwable t,
                            String format,
                            Object param1,
                            Object param2)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnv

    public final void warnv(Throwable t,
                            String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `warnv` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(String format,
                            Object... params)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(String format,
                            Object param1)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(String format,
                            Object param1,
                            Object param2)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(Throwable t,
                            String format,
                            Object... params)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(Throwable t,
                            String format,
                            Object param1)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(Throwable t,
                            String format,
                            Object param1,
                            Object param2)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### warnf

    public final void warnf(Throwable t,
                            String format,
                            Object param1,
                            Object param2,
                            Object param3)

  Specified by:
    `warnf` in interface `org.jboss.logging.BasicLogger`

### error

    public final void error(Object message)

  Specified by:
    `error` in interface `org.jboss.logging.BasicLogger`

### error

    public final void error(Object message,
                            Throwable t)

  Specified by:
    `error` in interface `org.jboss.logging.BasicLogger`

### error

    public final void error(String loggerFqcn,
                            Object message,
                            Throwable t)

  Specified by:
    `error` in interface `org.jboss.logging.BasicLogger`

### error

    public final void error(String loggerFqcn,
                            Object message,
                            Object[] params,
                            Throwable t)

  Specified by:
    `error` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(String format,
                             Object... params)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(String format,
                             Object param1)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorv

    public final void errorv(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `errorv` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(String format,
                             Object... params)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(String format,
                             Object param1)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### errorf

    public final void errorf(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `errorf` in interface `org.jboss.logging.BasicLogger`

### fatal

    public final void fatal(Object message)

  Specified by:
    `fatal` in interface `org.jboss.logging.BasicLogger`

### fatal

    public final void fatal(Object message,
                            Throwable t)

  Specified by:
    `fatal` in interface `org.jboss.logging.BasicLogger`

### fatal

    public final void fatal(String loggerFqcn,
                            Object message,
                            Throwable t)

  Specified by:
    `fatal` in interface `org.jboss.logging.BasicLogger`

### fatal

    public final void fatal(String loggerFqcn,
                            Object message,
                            Object[] params,
                            Throwable t)

  Specified by:
    `fatal` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(String format,
                             Object... params)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(String format,
                             Object param1)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalv

    public final void fatalv(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `fatalv` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(String format,
                             Object... params)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(String format,
                             Object param1)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(String format,
                             Object param1,
                             Object param2)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(Throwable t,
                             String format,
                             Object... params)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(Throwable t,
                             String format,
                             Object param1)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(Throwable t,
                             String format,
                             Object param1,
                             Object param2)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### fatalf

    public final void fatalf(Throwable t,
                             String format,
                             Object param1,
                             Object param2,
                             Object param3)

  Specified by:
    `fatalf` in interface `org.jboss.logging.BasicLogger`

### isEnabled

    public final boolean isEnabled(org.jboss.logging.Logger.Level level)

  Specified by:
    `isEnabled` in interface `org.jboss.logging.BasicLogger`

### log

    public final void log(org.jboss.logging.Logger.Level level,
                          Object message)

  Specified by:
    `log` in interface `org.jboss.logging.BasicLogger`

### log

    public final void log(org.jboss.logging.Logger.Level level,
                          Object message,
                          Throwable t)

  Specified by:
    `log` in interface `org.jboss.logging.BasicLogger`

### log

    public final void log(org.jboss.logging.Logger.Level level,
                          String loggerFqcn,
                          Object message,
                          Throwable t)

  Specified by:
    `log` in interface `org.jboss.logging.BasicLogger`

### log

    public final void log(String loggerFqcn,
                          org.jboss.logging.Logger.Level level,
                          Object message,
                          Object[] params,
                          Throwable t)

  Specified by:
    `log` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           String format,
                           Object... params)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           String format,
                           Object param1)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           String format,
                           Object param1,
                           Object param2)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           String format,
                           Object param1,
                           Object param2,
                           Object param3)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object... params)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2,
                           Object param3)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object... params)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logv

    public final void logv(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2,
                           Object param3)

  Specified by:
    `logv` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           String format,
                           Object... params)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           String format,
                           Object param1)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           String format,
                           Object param1,
                           Object param2)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           String format,
                           Object param1,
                           Object param2,
                           Object param3)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object... params)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2,
                           Object param3)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object... params)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### logf

    public final void logf(String loggerFqcn,
                           org.jboss.logging.Logger.Level level,
                           Throwable t,
                           String format,
                           Object param1,
                           Object param2,
                           Object param3)

  Specified by:
    `logf` in interface `org.jboss.logging.BasicLogger`

### exceptionHeaderFound

    public final void exceptionHeaderFound(String arg0,
                                           String arg1)

  Specified by:
    `exceptionHeaderFound` in interface `CoreMessageLogger`

### exceptionHeaderFound$str

    protected String exceptionHeaderFound$str()

### ejb3ConfigurationUnboundFromName

    public final void ejb3ConfigurationUnboundFromName(String name)

  Specified by:
    `ejb3ConfigurationUnboundFromName` in interface `EntityManagerMessageLogger`

### ejb3ConfigurationUnboundFromName$str

    protected String ejb3ConfigurationUnboundFromName$str()

### unableToLocateStaticMetamodelField

    public final void unableToLocateStaticMetamodelField(String name,
                                                         String name2)

  Specified by:
    `unableToLocateStaticMetamodelField` in interface `EntityManagerMessageLogger`

### unableToLocateStaticMetamodelField$str

    protected String unableToLocateStaticMetamodelField$str()

### unableToBuildEnhancementMetamodel

    public final void unableToBuildEnhancementMetamodel(String arg0)

  Specified by:
    `unableToBuildEnhancementMetamodel` in interface `CoreMessageLogger`

### unableToBuildEnhancementMetamodel$str

    protected String unableToBuildEnhancementMetamodel$str()

### collectionsUpdated

    public final void collectionsUpdated(long arg0)

  Specified by:
    `collectionsUpdated` in interface `CoreMessageLogger`

### collectionsUpdated$str

    protected String collectionsUpdated$str()

### unableToCreateSchema

    public final void unableToCreateSchema(Exception arg0)

  Specified by:
    `unableToCreateSchema` in interface `CoreMessageLogger`

### unableToCreateSchema$str

    protected String unableToCreateSchema$str()

### logicalConnectionReleasingPhysicalConnection

    public final void logicalConnectionReleasingPhysicalConnection()

  Specified by:
    `logicalConnectionReleasingPhysicalConnection` in interface `CoreMessageLogger`

### logicalConnectionReleasingPhysicalConnection$str

    protected String logicalConnectionReleasingPhysicalConnection$str()

### readOnlyCacheConfiguredForMutableCollection

    public final void readOnlyCacheConfiguredForMutableCollection(String arg0)

  Specified by:
    `readOnlyCacheConfiguredForMutableCollection` in interface `CoreMessageLogger`

### readOnlyCacheConfiguredForMutableCollection$str

    protected String readOnlyCacheConfiguredForMutableCollection$str()

### indexes

    public final void indexes(Set arg0)

  Specified by:
    `indexes` in interface `CoreMessageLogger`

### indexes$str

    protected String indexes$str()

### logicalConnectionClosed

    public final void logicalConnectionClosed()

  Specified by:
    `logicalConnectionClosed` in interface `CoreMessageLogger`

### logicalConnectionClosed$str

    protected String logicalConnectionClosed$str()

### expectedType

    public final void expectedType(String arg0,
                                   String arg1)

  Specified by:
    `expectedType` in interface `CoreMessageLogger`

### expectedType$str

    protected String expectedType$str()

### unregisteredStatement

    public final void unregisteredStatement()

  Specified by:
    `unregisteredStatement` in interface `CoreMessageLogger`

### unregisteredStatement$str

    protected String unregisteredStatement$str()

### invalidEditOfReadOnlyItem

    public final void invalidEditOfReadOnlyItem(Object arg0)

  Specified by:
    `invalidEditOfReadOnlyItem` in interface `CoreMessageLogger`

### invalidEditOfReadOnlyItem$str

    protected String invalidEditOfReadOnlyItem$str()

### narrowingProxy

    public final void narrowingProxy(Class arg0)

  Specified by:
    `narrowingProxy` in interface `CoreMessageLogger`

### narrowingProxy$str

    protected String narrowingProxy$str()

### unableToBuildSessionFactoryUsingMBeanClasspath

    public final void unableToBuildSessionFactoryUsingMBeanClasspath(String arg0)

  Specified by:
    `unableToBuildSessionFactoryUsingMBeanClasspath` in interface `CoreMessageLogger`

### unableToBuildSessionFactoryUsingMBeanClasspath$str

    protected String unableToBuildSessionFactoryUsingMBeanClasspath$str()

### queriesExecuted

    public final void queriesExecuted(long arg0)

  Specified by:
    `queriesExecuted` in interface `CoreMessageLogger`

### queriesExecuted$str

    protected String queriesExecuted$str()

### unableToLocateCustomOptimizerClass

    public final void unableToLocateCustomOptimizerClass(String arg0)

  Specified by:
    `unableToLocateCustomOptimizerClass` in interface `CoreMessageLogger`

### unableToLocateCustomOptimizerClass$str

    protected String unableToLocateCustomOptimizerClass$str()

### explodedJarDoesNotExist

    public final void explodedJarDoesNotExist(URL jarUrl)

  Specified by:
    `explodedJarDoesNotExist` in interface `EntityManagerMessageLogger`

### explodedJarDoesNotExist$str

    protected String explodedJarDoesNotExist$str()

### naturalIdQueriesExecuted

    public final void naturalIdQueriesExecuted(long arg0)

  Specified by:
    `naturalIdQueriesExecuted` in interface `CoreMessageLogger`

### naturalIdQueriesExecuted$str

    protected String naturalIdQueriesExecuted$str()

### unableToClosePooledConnection

    public final void unableToClosePooledConnection(SQLException arg0)

  Specified by:
    `unableToClosePooledConnection` in interface `CoreMessageLogger`

### unableToClosePooledConnection$str

    protected String unableToClosePooledConnection$str()

### sqlWarning

    public final void sqlWarning(int arg0,
                                 String arg1)

  Specified by:
    `sqlWarning` in interface `CoreMessageLogger`

### sqlWarning$str

    protected String sqlWarning$str()

### unsuccessful

    public final void unsuccessful(String arg0)

  Specified by:
    `unsuccessful` in interface `CoreMessageLogger`

### unsuccessful$str

    protected String unsuccessful$str()

### ejb3ConfigurationRenamedFromName

    public final void ejb3ConfigurationRenamedFromName(String name)

  Specified by:
    `ejb3ConfigurationRenamedFromName` in interface `EntityManagerMessageLogger`

### ejb3ConfigurationRenamedFromName$str

    protected String ejb3ConfigurationRenamedFromName$str()

### unableToReadHiValue

    public final String unableToReadHiValue(String arg0)

  Specified by:
    `unableToReadHiValue` in interface `CoreMessageLogger`

### unableToReadHiValue$str

    protected String unableToReadHiValue$str()

### deprecatedOracle9Dialect

    public final void deprecatedOracle9Dialect()

  Specified by:
    `deprecatedOracle9Dialect` in interface `CoreMessageLogger`

### deprecatedOracle9Dialect$str

    protected String deprecatedOracle9Dialect$str()

### containsJoinFetchedCollection

    public final void containsJoinFetchedCollection(String arg0)

  Specified by:
    `containsJoinFetchedCollection` in interface `CoreMessageLogger`

### containsJoinFetchedCollection$str

    protected String containsJoinFetchedCollection$str()

### disablingContextualLOBCreationSinceConnectionNull

    public final void disablingContextualLOBCreationSinceConnectionNull()

  Specified by:
    `disablingContextualLOBCreationSinceConnectionNull` in interface `CoreMessageLogger`

### disablingContextualLOBCreationSinceConnectionNull$str

    protected String disablingContextualLOBCreationSinceConnectionNull$str()

### invalidArrayElementType

    public final void invalidArrayElementType(String arg0)

  Specified by:
    `invalidArrayElementType` in interface `CoreMessageLogger`

### invalidArrayElementType$str

    protected String invalidArrayElementType$str()

### schemaUpdateComplete

    public final void schemaUpdateComplete()

  Specified by:
    `schemaUpdateComplete` in interface `CoreMessageLogger`

### schemaUpdateComplete$str

    protected String schemaUpdateComplete$str()

### usingStreams

    public final void usingStreams()

  Specified by:
    `usingStreams` in interface `CoreMessageLogger`

### usingStreams$str

    protected String usingStreams$str()

### unableToRetrieveTypeInfoResultSet

    public final void unableToRetrieveTypeInfoResultSet(String arg0)

  Specified by:
    `unableToRetrieveTypeInfoResultSet` in interface `CoreMessageLogger`

### unableToRetrieveTypeInfoResultSet$str

    protected String unableToRetrieveTypeInfoResultSet$str()

### unableToFindFile

    public final void unableToFindFile(URL jarUrl,
                                       Exception e)

  Specified by:
    `unableToFindFile` in interface `EntityManagerMessageLogger`

### unableToFindFile$str

    protected String unableToFindFile$str()

### alreadySessionBound

    public final void alreadySessionBound()

  Specified by:
    `alreadySessionBound` in interface `CoreMessageLogger`

### alreadySessionBound$str

    protected String alreadySessionBound$str()

### disallowingInsertStatementComment

    public final void disallowingInsertStatementComment()

  Specified by:
    `disallowingInsertStatementComment` in interface `CoreMessageLogger`

### disallowingInsertStatementComment$str

    protected String disallowingInsertStatementComment$str()

### loggingStatistics

    public final void loggingStatistics()

  Specified by:
    `loggingStatistics` in interface `CoreMessageLogger`

### loggingStatistics$str

    protected String loggingStatistics$str()

### scopingTypesToSessionFactoryAfterAlreadyScoped

    public final void scopingTypesToSessionFactoryAfterAlreadyScoped(SessionFactoryImplementor arg0,
                                                                     SessionFactoryImplementor arg1)

  Specified by:
    `scopingTypesToSessionFactoryAfterAlreadyScoped` in interface `CoreMessageLogger`

### scopingTypesToSessionFactoryAfterAlreadyScoped$str

    protected String scopingTypesToSessionFactoryAfterAlreadyScoped$str()

### instantiatingExplicitConnectionProvider

    public final void instantiatingExplicitConnectionProvider(String arg0)

  Specified by:
    `instantiatingExplicitConnectionProvider` in interface `CoreMessageLogger`

### instantiatingExplicitConnectionProvider$str

    protected String instantiatingExplicitConnectionProvider$str()

### pooledOptimizerReportedInitialValue

    public final void pooledOptimizerReportedInitialValue(IntegralDataTypeHolder arg0)

  Specified by:
    `pooledOptimizerReportedInitialValue` in interface `CoreMessageLogger`

### pooledOptimizerReportedInitialValue$str

    protected String pooledOptimizerReportedInitialValue$str()

### unableToLogSqlWarnings

    public final void unableToLogSqlWarnings(SQLException arg0)

  Specified by:
    `unableToLogSqlWarnings` in interface `CoreMessageLogger`

### unableToLogSqlWarnings$str

    protected String unableToLogSqlWarnings$str()

### typeDefinedNoRegistrationKeys

    public final void typeDefinedNoRegistrationKeys(BasicType arg0)

  Specified by:
    `typeDefinedNoRegistrationKeys` in interface `CoreMessageLogger`

### typeDefinedNoRegistrationKeys$str

    protected String typeDefinedNoRegistrationKeys$str()

### JavaSqlTypesMappedSameCodeMultipleTimes

    public final void JavaSqlTypesMappedSameCodeMultipleTimes(int arg0,
                                                              String arg1,
                                                              String arg2)

  Specified by:
    `JavaSqlTypesMappedSameCodeMultipleTimes` in interface `CoreMessageLogger`

### JavaSqlTypesMappedSameCodeMultipleTimes$str

    protected String JavaSqlTypesMappedSameCodeMultipleTimes$str()

### localLoadingCollectionKeysCount

    public final void localLoadingCollectionKeysCount(int arg0)

  Specified by:
    `localLoadingCollectionKeysCount` in interface `CoreMessageLogger`

### localLoadingCollectionKeysCount$str

    protected String localLoadingCollectionKeysCount$str()

### compositeIdClassDoesNotOverrideHashCode

    public final void compositeIdClassDoesNotOverrideHashCode(String arg0)

  Specified by:
    `compositeIdClassDoesNotOverrideHashCode` in interface `CoreMessageLogger`

### compositeIdClassDoesNotOverrideHashCode$str

    protected String compositeIdClassDoesNotOverrideHashCode$str()

### connectionsObtained

    public final void connectionsObtained(long arg0)

  Specified by:
    `connectionsObtained` in interface `CoreMessageLogger`

### connectionsObtained$str

    protected String connectionsObtained$str()

### duplicateMetadata

    public final void duplicateMetadata()

  Specified by:
    `duplicateMetadata` in interface `CoreMessageLogger`

### duplicateMetadata$str

    protected String duplicateMetadata$str()

### collectionsRemoved

    public final void collectionsRemoved(long arg0)

  Specified by:
    `collectionsRemoved` in interface `CoreMessageLogger`

### collectionsRemoved$str

    protected String collectionsRemoved$str()

### entityMappedAsNonAbstract

    public final void entityMappedAsNonAbstract(String arg0)

  Specified by:
    `entityMappedAsNonAbstract` in interface `CoreMessageLogger`

### entityMappedAsNonAbstract$str

    protected String entityMappedAsNonAbstract$str()

### orderByAnnotationIndexedCollection

    public final void orderByAnnotationIndexedCollection()

  Specified by:
    `orderByAnnotationIndexedCollection` in interface `CoreMessageLogger`

### orderByAnnotationIndexedCollection$str

    protected String orderByAnnotationIndexedCollection$str()

### ignoringUnrecognizedQueryHint

    public final void ignoringUnrecognizedQueryHint(String arg0)

  Specified by:
    `ignoringUnrecognizedQueryHint` in interface `CoreMessageLogger`

### ignoringUnrecognizedQueryHint$str

    protected String ignoringUnrecognizedQueryHint$str()

### schemaExportComplete

    public final void schemaExportComplete()

  Specified by:
    `schemaExportComplete` in interface `CoreMessageLogger`

### schemaExportComplete$str

    protected String schemaExportComplete$str()

### exceptionInAfterTransactionCompletionInterceptor

    public final void exceptionInAfterTransactionCompletionInterceptor(Throwable arg0)

  Specified by:
    `exceptionInAfterTransactionCompletionInterceptor` in interface `CoreMessageLogger`

### exceptionInAfterTransactionCompletionInterceptor$str

    protected String exceptionInAfterTransactionCompletionInterceptor$str()

### unableToCloseJar

    public final void unableToCloseJar(String arg0)

  Specified by:
    `unableToCloseJar` in interface `CoreMessageLogger`

### unableToCloseJar$str

    protected String unableToCloseJar$str()

### splitQueries

    public final void splitQueries(String arg0,
                                   int arg1)

  Specified by:
    `splitQueries` in interface `CoreMessageLogger`

### splitQueries$str

    protected String splitQueries$str()

### parsingXmlErrorForFile

    public final void parsingXmlErrorForFile(String arg0,
                                             int arg1,
                                             String arg2)

  Specified by:
    `parsingXmlErrorForFile` in interface `CoreMessageLogger`

### parsingXmlErrorForFile$str

    protected String parsingXmlErrorForFile$str()

### namingExceptionAccessingFactory

    public final void namingExceptionAccessingFactory(NamingException arg0)

  Specified by:
    `namingExceptionAccessingFactory` in interface `CoreMessageLogger`

### namingExceptionAccessingFactory$str

    protected String namingExceptionAccessingFactory$str()

### jdbcAutoCommitFalseBreaksEjb3Spec

    public final void jdbcAutoCommitFalseBreaksEjb3Spec(String arg0)

  Specified by:
    `jdbcAutoCommitFalseBreaksEjb3Spec` in interface `CoreMessageLogger`

### jdbcAutoCommitFalseBreaksEjb3Spec$str

    protected String jdbcAutoCommitFalseBreaksEjb3Spec$str()

### writeLocksNotSupported

    public final void writeLocksNotSupported(String arg0)

  Specified by:
    `writeLocksNotSupported` in interface `CoreMessageLogger`

### writeLocksNotSupported$str

    protected String writeLocksNotSupported$str()

### unableToStopService

    public final void unableToStopService(Class arg0,
                                          String arg1)

  Specified by:
    `unableToStopService` in interface `CoreMessageLogger`

### unableToStopService$str

    protected String unableToStopService$str()

### unableToDetermineLockModeValue

    public final void unableToDetermineLockModeValue(String arg0,
                                                     Object arg1)

  Specified by:
    `unableToDetermineLockModeValue` in interface `CoreMessageLogger`

### unableToDetermineLockModeValue$str

    protected String unableToDetermineLockModeValue$str()

### tableFound

    public final void tableFound(String arg0)

  Specified by:
    `tableFound` in interface `CoreMessageLogger`

### tableFound$str

    protected String tableFound$str()

### subResolverException

    public final void subResolverException(String arg0)

  Specified by:
    `subResolverException` in interface `CoreMessageLogger`

### subResolverException$str

    protected String subResolverException$str()

### compositeIdClassDoesNotOverrideEquals

    public final void compositeIdClassDoesNotOverrideEquals(String arg0)

  Specified by:
    `compositeIdClassDoesNotOverrideEquals` in interface `CoreMessageLogger`

### compositeIdClassDoesNotOverrideEquals$str

    protected String compositeIdClassDoesNotOverrideEquals$str()

### entityIdentifierValueBindingExists

    public final void entityIdentifierValueBindingExists(String arg0)

  Specified by:
    `entityIdentifierValueBindingExists` in interface `CoreMessageLogger`

### entityIdentifierValueBindingExists$str

    protected String entityIdentifierValueBindingExists$str()

### noDefaultConstructor

    public final void noDefaultConstructor(String arg0)

  Specified by:
    `noDefaultConstructor` in interface `CoreMessageLogger`

### noDefaultConstructor$str

    protected String noDefaultConstructor$str()

### cacheProvider

    public final void cacheProvider(String arg0)

  Specified by:
    `cacheProvider` in interface `CoreMessageLogger`

### cacheProvider$str

    protected String cacheProvider$str()

### sessionsOpened

    public final void sessionsOpened(long arg0)

  Specified by:
    `sessionsOpened` in interface `CoreMessageLogger`

### sessionsOpened$str

    protected String sessionsOpened$str()

### startingQueryCache

    public final void startingQueryCache(String arg0)

  Specified by:
    `startingQueryCache` in interface `CoreMessageLogger`

### startingQueryCache$str

    protected String startingQueryCache$str()

### unableToPerformJdbcCommit

    public final String unableToPerformJdbcCommit()

  Specified by:
    `unableToPerformJdbcCommit` in interface `CoreMessageLogger`

### unableToPerformJdbcCommit$str

    protected String unableToPerformJdbcCommit$str()

### guidGenerated

    public final void guidGenerated(String arg0)

  Specified by:
    `guidGenerated` in interface `CoreMessageLogger`

### guidGenerated$str

    protected String guidGenerated$str()

### unableToInstantiateConfiguredSchemaNameResolver

    public final void unableToInstantiateConfiguredSchemaNameResolver(String arg0,
                                                                      String arg1)

  Specified by:
    `unableToInstantiateConfiguredSchemaNameResolver` in interface `CoreMessageLogger`

### unableToInstantiateConfiguredSchemaNameResolver$str

    protected String unableToInstantiateConfiguredSchemaNameResolver$str()

### unableToSetTransactionToRollbackOnly

    public final void unableToSetTransactionToRollbackOnly(SystemException arg0)

  Specified by:
    `unableToSetTransactionToRollbackOnly` in interface `CoreMessageLogger`

### unableToSetTransactionToRollbackOnly$str

    protected String unableToSetTransactionToRollbackOnly$str()

### collectionsRecreated

    public final void collectionsRecreated(long arg0)

  Specified by:
    `collectionsRecreated` in interface `CoreMessageLogger`

### collectionsRecreated$str

    protected String collectionsRecreated$str()

### jdbcIsolationLevel

    public final void jdbcIsolationLevel(String arg0)

  Specified by:
    `jdbcIsolationLevel` in interface `CoreMessageLogger`

### jdbcIsolationLevel$str

    protected String jdbcIsolationLevel$str()

### resolvedSqlTypeDescriptorForDifferentSqlCode

    public final void resolvedSqlTypeDescriptorForDifferentSqlCode(String arg0,
                                                                   String arg1,
                                                                   String arg2,
                                                                   String arg3)

  Specified by:
    `resolvedSqlTypeDescriptorForDifferentSqlCode` in interface `CoreMessageLogger`

### resolvedSqlTypeDescriptorForDifferentSqlCode$str

    protected String resolvedSqlTypeDescriptorForDifferentSqlCode$str()

### jaccContextId

    public final void jaccContextId(String arg0)

  Specified by:
    `jaccContextId` in interface `CoreMessageLogger`

### jaccContextId$str

    protected String jaccContextId$str()

### unableToLocateConfigFile

    public final String unableToLocateConfigFile(String arg0)

  Specified by:
    `unableToLocateConfigFile` in interface `CoreMessageLogger`

### unableToLocateConfigFile$str

    protected String unableToLocateConfigFile$str()

### unableToInstantiateOptimizer

    public final void unableToInstantiateOptimizer(String arg0)

  Specified by:
    `unableToInstantiateOptimizer` in interface `CoreMessageLogger`

### unableToInstantiateOptimizer$str

    protected String unableToInstantiateOptimizer$str()

### entitiesFetched

    public final void entitiesFetched(long arg0)

  Specified by:
    `entitiesFetched` in interface `CoreMessageLogger`

### entitiesFetched$str

    protected String entitiesFetched$str()

### duplicateGeneratorTable

    public final void duplicateGeneratorTable(String arg0)

  Specified by:
    `duplicateGeneratorTable` in interface `CoreMessageLogger`

### duplicateGeneratorTable$str

    protected String duplicateGeneratorTable$str()

### packageNotFound

    public final void packageNotFound(String arg0)

  Specified by:
    `packageNotFound` in interface `CoreMessageLogger`

### packageNotFound$str

    protected String packageNotFound$str()

### parsingXmlError

    public final void parsingXmlError(int arg0,
                                      String arg1)

  Specified by:
    `parsingXmlError` in interface `CoreMessageLogger`

### parsingXmlError$str

    protected String parsingXmlError$str()

### unableToCloseOutputStream

    public final void unableToCloseOutputStream(IOException arg0)

  Specified by:
    `unableToCloseOutputStream` in interface `CoreMessageLogger`

### unableToCloseOutputStream$str

    protected String unableToCloseOutputStream$str()

### unableToToggleAutoCommit

    public final void unableToToggleAutoCommit(Exception arg0)

  Specified by:
    `unableToToggleAutoCommit` in interface `CoreMessageLogger`

### unableToToggleAutoCommit$str

    protected String unableToToggleAutoCommit$str()

### failSafeCollectionsCleanup

    public final void failSafeCollectionsCleanup(CollectionLoadContext arg0)

  Specified by:
    `failSafeCollectionsCleanup` in interface `CoreMessageLogger`

### failSafeCollectionsCleanup$str

    protected String failSafeCollectionsCleanup$str()

### unableToLocateUuidGenerationStrategy

    public final void unableToLocateUuidGenerationStrategy(String arg0)

  Specified by:
    `unableToLocateUuidGenerationStrategy` in interface `CoreMessageLogger`

### unableToLocateUuidGenerationStrategy$str

    protected String unableToLocateUuidGenerationStrategy$str()

### unsupportedProperty

    public final void unsupportedProperty(Object arg0,
                                          Object arg1)

  Specified by:
    `unsupportedProperty` in interface `CoreMessageLogger`

### unsupportedProperty$str

    protected String unsupportedProperty$str()

### unregisteredResultSetWithoutStatement

    public final void unregisteredResultSetWithoutStatement()

  Specified by:
    `unregisteredResultSetWithoutStatement` in interface `CoreMessageLogger`

### unregisteredResultSetWithoutStatement$str

    protected String unregisteredResultSetWithoutStatement$str()

### forcingTableUse

    public final void forcingTableUse()

  Specified by:
    `forcingTableUse` in interface `CoreMessageLogger`

### forcingTableUse$str

    protected String forcingTableUse$str()

### parsingXmlWarningForFile

    public final void parsingXmlWarningForFile(String arg0,
                                               int arg1,
                                               String arg2)

  Specified by:
    `parsingXmlWarningForFile` in interface `CoreMessageLogger`

### parsingXmlWarningForFile$str

    protected String parsingXmlWarningForFile$str()

### unableToApplyConstraints

    public final void unableToApplyConstraints(String arg0,
                                               Exception arg1)

  Specified by:
    `unableToApplyConstraints` in interface `CoreMessageLogger`

### unableToApplyConstraints$str

    protected String unableToApplyConstraints$str()

### unableToBindEjb3ConfigurationToJndi

    public final void unableToBindEjb3ConfigurationToJndi(JndiException arg0)

  Specified by:
    `unableToBindEjb3ConfigurationToJndi` in interface `CoreMessageLogger`

### unableToBindEjb3ConfigurationToJndi$str

    protected String unableToBindEjb3ConfigurationToJndi$str()

### connectionProperties

    public final void connectionProperties(Properties arg0)

  Specified by:
    `connectionProperties` in interface `CoreMessageLogger`

### connectionProperties$str

    protected String connectionProperties$str()

### unableToReleaseBatchStatement

    public final void unableToReleaseBatchStatement()

  Specified by:
    `unableToReleaseBatchStatement` in interface `CoreMessageLogger`

### unableToReleaseBatchStatement$str

    protected String unableToReleaseBatchStatement$str()

### unableToExecuteBatch

    public final void unableToExecuteBatch(String arg0)

  Specified by:
    `unableToExecuteBatch` in interface `CoreMessageLogger`

### unableToExecuteBatch$str

    protected String unableToExecuteBatch$str()

### unableToUpdateHiValue

    public final Object unableToUpdateHiValue(String arg0)

  Specified by:
    `unableToUpdateHiValue` in interface `CoreMessageLogger`

### unableToUpdateHiValue$str

    protected String unableToUpdateHiValue$str()

### readingMappingsFromFile

    public final void readingMappingsFromFile(String arg0)

  Specified by:
    `readingMappingsFromFile` in interface `CoreMessageLogger`

### readingMappingsFromFile$str

    protected String readingMappingsFromFile$str()

### unexpectedRowCounts

    public final void unexpectedRowCounts()

  Specified by:
    `unexpectedRowCounts` in interface `CoreMessageLogger`

### unexpectedRowCounts$str

    protected String unexpectedRowCounts$str()

### stoppingService

    public final void stoppingService()

  Specified by:
    `stoppingService` in interface `CoreMessageLogger`

### stoppingService$str

    protected String stoppingService$str()

### unableToObtainConnectionToQueryMetadata

    public final void unableToObtainConnectionToQueryMetadata(String arg0)

  Specified by:
    `unableToObtainConnectionToQueryMetadata` in interface `CoreMessageLogger`

### unableToObtainConnectionToQueryMetadata$str

    protected String unableToObtainConnectionToQueryMetadata$str()

### unableToCloseStream

    public final void unableToCloseStream(IOException arg0)

  Specified by:
    `unableToCloseStream` in interface `CoreMessageLogger`

### unableToCloseStream$str

    protected String unableToCloseStream$str()

### propertiesLoaded

    public final void propertiesLoaded(Properties arg0)

  Specified by:
    `propertiesLoaded` in interface `CoreMessageLogger`

### propertiesLoaded$str

    protected String propertiesLoaded$str()

### entitiesLoaded

    public final void entitiesLoaded(long arg0)

  Specified by:
    `entitiesLoaded` in interface `CoreMessageLogger`

### entitiesLoaded$str

    protected String entitiesLoaded$str()

### jdbcUrlNotSpecified

    public final String jdbcUrlNotSpecified(String arg0)

  Specified by:
    `jdbcUrlNotSpecified` in interface `CoreMessageLogger`

### jdbcUrlNotSpecified$str

    protected String jdbcUrlNotSpecified$str()

### unableToReadClass

    public final void unableToReadClass(String arg0)

  Specified by:
    `unableToReadClass` in interface `CoreMessageLogger`

### unableToReadClass$str

    protected String unableToReadClass$str()

### unableToCloseInputStream

    public final void unableToCloseInputStream(IOException arg0)

  Specified by:
    `unableToCloseInputStream` in interface `CoreMessageLogger`

### unableToCloseInputStream$str

    protected String unableToCloseInputStream$str()

### configuredSessionFactory

    public final void configuredSessionFactory(String arg0)

  Specified by:
    `configuredSessionFactory` in interface `CoreMessageLogger`

### configuredSessionFactory$str

    protected String configuredSessionFactory$str()

### synchronizationAlreadyRegistered

    public final void synchronizationAlreadyRegistered(Synchronization arg0)

  Specified by:
    `synchronizationAlreadyRegistered` in interface `CoreMessageLogger`

### synchronizationAlreadyRegistered$str

    protected String synchronizationAlreadyRegistered$str()

### columns

    public final void columns(Set arg0)

  Specified by:
    `columns` in interface `CoreMessageLogger`

### columns$str

    protected String columns$str()

### unableToInstantiateUuidGenerationStrategy

    public final void unableToInstantiateUuidGenerationStrategy(Exception arg0)

  Specified by:
    `unableToInstantiateUuidGenerationStrategy` in interface `CoreMessageLogger`

### unableToInstantiateUuidGenerationStrategy$str

    protected String unableToInstantiateUuidGenerationStrategy$str()

### unableToBindValueToParameter

    public final void unableToBindValueToParameter(String arg0,
                                                   int arg1,
                                                   String arg2)

  Specified by:
    `unableToBindValueToParameter` in interface `CoreMessageLogger`

### unableToBindValueToParameter$str

    protected String unableToBindValueToParameter$str()

### deprecatedForceDescriminatorAnnotation

    public final void deprecatedForceDescriminatorAnnotation()

  Specified by:
    `deprecatedForceDescriminatorAnnotation` in interface `CoreMessageLogger`

### deprecatedForceDescriminatorAnnotation$str

    protected String deprecatedForceDescriminatorAnnotation$str()

### queryCacheHits

    public final void queryCacheHits(long arg0)

  Specified by:
    `queryCacheHits` in interface `CoreMessageLogger`

### queryCacheHits$str

    protected String queryCacheHits$str()

### setManagerLookupClass

    public final void setManagerLookupClass()

  Specified by:
    `setManagerLookupClass` in interface `CoreMessageLogger`

### setManagerLookupClass$str

    protected String setManagerLookupClass$str()

### unableToDestroyQueryCache

    public final void unableToDestroyQueryCache(String arg0,
                                                String arg1)

  Specified by:
    `unableToDestroyQueryCache` in interface `CoreMessageLogger`

### unableToDestroyQueryCache$str

    protected String unableToDestroyQueryCache$str()

### unableToQueryDatabaseMetadata

    public final String unableToQueryDatabaseMetadata()

  Specified by:
    `unableToQueryDatabaseMetadata` in interface `CoreMessageLogger`

### unableToQueryDatabaseMetadata$str

    protected String unableToQueryDatabaseMetadata$str()

### hql

    public final void hql(String arg0,
                          Long arg1,
                          Long arg2)

  Specified by:
    `hql` in interface `CoreMessageLogger`

### hql$str

    protected String hql$str()

### noAppropriateConnectionProvider

    public final void noAppropriateConnectionProvider()

  Specified by:
    `noAppropriateConnectionProvider` in interface `CoreMessageLogger`

### noAppropriateConnectionProvider$str

    protected String noAppropriateConnectionProvider$str()

### unableToCloseConnection

    public final void unableToCloseConnection(Exception arg0)

  Specified by:
    `unableToCloseConnection` in interface `CoreMessageLogger`

### unableToCloseConnection$str

    protected String unableToCloseConnection$str()

### hsqldbSupportsOnlyReadCommittedIsolation

    public final void hsqldbSupportsOnlyReadCommittedIsolation()

  Specified by:
    `hsqldbSupportsOnlyReadCommittedIsolation` in interface `CoreMessageLogger`

### hsqldbSupportsOnlyReadCommittedIsolation$str

    protected String hsqldbSupportsOnlyReadCommittedIsolation$str()

### queryCacheMisses

    public final void queryCacheMisses(long arg0)

  Specified by:
    `queryCacheMisses` in interface `CoreMessageLogger`

### queryCacheMisses$str

    protected String queryCacheMisses$str()

### deprecatedTransactionManagerStrategy

    public final void deprecatedTransactionManagerStrategy(String arg0,
                                                           String arg1,
                                                           String arg2,
                                                           String arg3)

  Specified by:
    `deprecatedTransactionManagerStrategy` in interface `CoreMessageLogger`

### deprecatedTransactionManagerStrategy$str

    protected String deprecatedTransactionManagerStrategy$str()

### startTime

    public final void startTime(long arg0)

  Specified by:
    `startTime` in interface `CoreMessageLogger`

### startTime$str

    protected String startTime$str()

### factoryJndiRename

    public final void factoryJndiRename(String arg0,
                                        String arg1)

  Specified by:
    `factoryJndiRename` in interface `CoreMessageLogger`

### factoryJndiRename$str

    protected String factoryJndiRename$str()

### optimisticLockFailures

    public final void optimisticLockFailures(long arg0)

  Specified by:
    `optimisticLockFailures` in interface `CoreMessageLogger`

### optimisticLockFailures$str

    protected String optimisticLockFailures$str()

### unableToCompleteSchemaUpdate

    public final void unableToCompleteSchemaUpdate(Exception arg0)

  Specified by:
    `unableToCompleteSchemaUpdate` in interface `CoreMessageLogger`

### unableToCompleteSchemaUpdate$str

    protected String unableToCompleteSchemaUpdate$str()

### overridingTransactionStrategyDangerous

    public final void overridingTransactionStrategyDangerous(String arg0)

  Specified by:
    `overridingTransactionStrategyDangerous` in interface `CoreMessageLogger`

### overridingTransactionStrategyDangerous$str

    protected String overridingTransactionStrategyDangerous$str()

### unknownSqlServerVersion

    public final void unknownSqlServerVersion(int arg0)

  Specified by:
    `unknownSqlServerVersion` in interface `CoreMessageLogger`

### unknownSqlServerVersion$str

    protected String unknownSqlServerVersion$str()

### factoryBoundToJndiName

    public final void factoryBoundToJndiName(String arg0)

  Specified by:
    `factoryBoundToJndiName` in interface `CoreMessageLogger`

### factoryBoundToJndiName$str

    protected String factoryBoundToJndiName$str()

### exceptionInSubResolver

    public final void exceptionInSubResolver(String arg0)

  Specified by:
    `exceptionInSubResolver` in interface `CoreMessageLogger`

### exceptionInSubResolver$str

    protected String exceptionInSubResolver$str()

### runningSchemaValidator

    public final void runningSchemaValidator()

  Specified by:
    `runningSchemaValidator` in interface `CoreMessageLogger`

### runningSchemaValidator$str

    protected String runningSchemaValidator$str()

### naturalIdCacheHits

    public final void naturalIdCacheHits(long arg0)

  Specified by:
    `naturalIdCacheHits` in interface `CoreMessageLogger`

### naturalIdCacheHits$str

    protected String naturalIdCacheHits$str()

### jdbcRollbackFailed

    public final String jdbcRollbackFailed()

  Specified by:
    `jdbcRollbackFailed` in interface `CoreMessageLogger`

### jdbcRollbackFailed$str

    protected String jdbcRollbackFailed$str()

### runningHbm2ddlSchemaExport

    public final void runningHbm2ddlSchemaExport()

  Specified by:
    `runningHbm2ddlSchemaExport` in interface `CoreMessageLogger`

### runningHbm2ddlSchemaExport$str

    protected String runningHbm2ddlSchemaExport$str()

### synchronizationFailed

    public final void synchronizationFailed(Synchronization arg0,
                                            Throwable arg1)

  Specified by:
    `synchronizationFailed` in interface `CoreMessageLogger`

### synchronizationFailed$str

    protected String synchronizationFailed$str()

### illegalPropertySetterArgument

    public final void illegalPropertySetterArgument(String arg0,
                                                    String arg1)

  Specified by:
    `illegalPropertySetterArgument` in interface `CoreMessageLogger`

### illegalPropertySetterArgument$str

    protected String illegalPropertySetterArgument$str()

### schemaExportUnsuccessful

    public final void schemaExportUnsuccessful(Exception arg0)

  Specified by:
    `schemaExportUnsuccessful` in interface `CoreMessageLogger`

### schemaExportUnsuccessful$str

    protected String schemaExportUnsuccessful$str()

### unsuccessfulCreate

    public final void unsuccessfulCreate(String arg0)

  Specified by:
    `unsuccessfulCreate` in interface `CoreMessageLogger`

### unsuccessfulCreate$str

    protected String unsuccessfulCreate$str()

### unableToLocateMBeanServer

    public final void unableToLocateMBeanServer()

  Specified by:
    `unableToLocateMBeanServer` in interface `CoreMessageLogger`

### unableToLocateMBeanServer$str

    protected String unableToLocateMBeanServer$str()

### unableToConfigureSqlExceptionConverter

    public final void unableToConfigureSqlExceptionConverter(HibernateException arg0)

  Specified by:
    `unableToConfigureSqlExceptionConverter` in interface `CoreMessageLogger`

### unableToConfigureSqlExceptionConverter$str

    protected String unableToConfigureSqlExceptionConverter$str()

### batchContainedStatementsOnRelease

    public final void batchContainedStatementsOnRelease()

  Specified by:
    `batchContainedStatementsOnRelease` in interface `CoreMessageLogger`

### batchContainedStatementsOnRelease$str

    protected String batchContainedStatementsOnRelease$str()

### usingReflectionOptimizer

    public final void usingReflectionOptimizer()

  Specified by:
    `usingReflectionOptimizer` in interface `CoreMessageLogger`

### usingReflectionOptimizer$str

    protected String usingReflectionOptimizer$str()

### unknownOracleVersion

    public final void unknownOracleVersion(int arg0)

  Specified by:
    `unknownOracleVersion` in interface `CoreMessageLogger`

### unknownOracleVersion$str

    protected String unknownOracleVersion$str()

### callingJoinTransactionOnNonJtaEntityManager

    public final void callingJoinTransactionOnNonJtaEntityManager()

  Specified by:
    `callingJoinTransactionOnNonJtaEntityManager` in interface `CoreMessageLogger`

### callingJoinTransactionOnNonJtaEntityManager$str

    protected String callingJoinTransactionOnNonJtaEntityManager$str()

### parsingXmlWarning

    public final void parsingXmlWarning(int arg0,
                                        String arg1)

  Specified by:
    `parsingXmlWarning` in interface `CoreMessageLogger`

### parsingXmlWarning$str

    protected String parsingXmlWarning$str()

### illegalArgumentOnStaticMetamodelFieldInjection

    public final void illegalArgumentOnStaticMetamodelFieldInjection(String name,
                                                                     String name2,
                                                                     String name3,
                                                                     String name4)

  Specified by:
    `illegalArgumentOnStaticMetamodelFieldInjection` in interface `EntityManagerMessageLogger`

### illegalArgumentOnStaticMetamodelFieldInjection$str

    protected String illegalArgumentOnStaticMetamodelFieldInjection$str()

### settersOfLazyClassesCannotBeFinal

    public final void settersOfLazyClassesCannotBeFinal(String arg0,
                                                        String arg1)

  Specified by:
    `settersOfLazyClassesCannotBeFinal` in interface `CoreMessageLogger`

### settersOfLazyClassesCannotBeFinal$str

    protected String settersOfLazyClassesCannotBeFinal$str()

### unexpectedLiteralTokenType

    public final void unexpectedLiteralTokenType(int arg0)

  Specified by:
    `unexpectedLiteralTokenType` in interface `CoreMessageLogger`

### unexpectedLiteralTokenType$str

    protected String unexpectedLiteralTokenType$str()

### unableToMarkForRollbackOnTransientObjectException

    public final void unableToMarkForRollbackOnTransientObjectException(Exception arg0)

  Specified by:
    `unableToMarkForRollbackOnTransientObjectException` in interface `CoreMessageLogger`

### unableToMarkForRollbackOnTransientObjectException$str

    protected String unableToMarkForRollbackOnTransientObjectException$str()

### invalidOnDeleteAnnotation

    public final void invalidOnDeleteAnnotation(String arg0)

  Specified by:
    `invalidOnDeleteAnnotation` in interface `CoreMessageLogger`

### invalidOnDeleteAnnotation$str

    protected String invalidOnDeleteAnnotation$str()

### timestampCachePuts

    public final void timestampCachePuts(long arg0)

  Specified by:
    `timestampCachePuts` in interface `CoreMessageLogger`

### timestampCachePuts$str

    protected String timestampCachePuts$str()

### unableToAccessTypeInfoResultSet

    public final void unableToAccessTypeInfoResultSet(String arg0)

  Specified by:
    `unableToAccessTypeInfoResultSet` in interface `CoreMessageLogger`

### unableToAccessTypeInfoResultSet$str

    protected String unableToAccessTypeInfoResultSet$str()

### secondLevelCacheHits

    public final void secondLevelCacheHits(long arg0)

  Specified by:
    `secondLevelCacheHits` in interface `CoreMessageLogger`

### secondLevelCacheHits$str

    protected String secondLevelCacheHits$str()

### unableToBindFactoryToJndi

    public final void unableToBindFactoryToJndi(JndiException arg0)

  Specified by:
    `unableToBindFactoryToJndi` in interface `CoreMessageLogger`

### unableToBindFactoryToJndi$str

    protected String unableToBindFactoryToJndi$str()

### startingServiceAtJndiName

    public final void startingServiceAtJndiName(String arg0)

  Specified by:
    `startingServiceAtJndiName` in interface `CoreMessageLogger`

### startingServiceAtJndiName$str

    protected String startingServiceAtJndiName$str()

### tableNotFound

    public final void tableNotFound(String arg0)

  Specified by:
    `tableNotFound` in interface `CoreMessageLogger`

### tableNotFound$str

    protected String tableNotFound$str()

### firstOrMaxResultsSpecifiedWithCollectionFetch

    public final void firstOrMaxResultsSpecifiedWithCollectionFetch()

  Specified by:
    `firstOrMaxResultsSpecifiedWithCollectionFetch` in interface `CoreMessageLogger`

### firstOrMaxResultsSpecifiedWithCollectionFetch$str

    protected String firstOrMaxResultsSpecifiedWithCollectionFetch$str()

### bytecodeProvider

    public final void bytecodeProvider(String arg0)

  Specified by:
    `bytecodeProvider` in interface `CoreMessageLogger`

### bytecodeProvider$str

    protected String bytecodeProvider$str()

### usingUuidHexGenerator

    public final void usingUuidHexGenerator(String arg0,
                                            String arg1)

  Specified by:
    `usingUuidHexGenerator` in interface `CoreMessageLogger`

### usingUuidHexGenerator$str

    protected String usingUuidHexGenerator$str()

### unableToStopHibernateService

    public final void unableToStopHibernateService(Exception arg0)

  Specified by:
    `unableToStopHibernateService` in interface `CoreMessageLogger`

### unableToStopHibernateService$str

    protected String unableToStopHibernateService$str()

### unableToJoinTransaction

    public final void unableToJoinTransaction(String arg0)

  Specified by:
    `unableToJoinTransaction` in interface `CoreMessageLogger`

### unableToJoinTransaction$str

    protected String unableToJoinTransaction$str()

### ignoringTableGeneratorConstraints

    public final void ignoringTableGeneratorConstraints(String arg0)

  Specified by:
    `ignoringTableGeneratorConstraints` in interface `CoreMessageLogger`

### ignoringTableGeneratorConstraints$str

    protected String ignoringTableGeneratorConstraints$str()

### sqlExceptionEscapedProxy

    public final void sqlExceptionEscapedProxy(SQLException arg0)

  Specified by:
    `sqlExceptionEscapedProxy` in interface `CoreMessageLogger`

### sqlExceptionEscapedProxy$str

    protected String sqlExceptionEscapedProxy$str()

### honoringOptimizerSetting

    public final void honoringOptimizerSetting(String arg0,
                                               String arg1,
                                               int arg2)

  Specified by:
    `honoringOptimizerSetting` in interface `CoreMessageLogger`

### honoringOptimizerSetting$str

    protected String honoringOptimizerSetting$str()

### timestampCacheMisses

    public final void timestampCacheMisses(long arg0)

  Specified by:
    `timestampCacheMisses` in interface `CoreMessageLogger`

### timestampCacheMisses$str

    protected String timestampCacheMisses$str()

### unableToReadOrInitHiValue

    public final void unableToReadOrInitHiValue(SQLException arg0)

  Specified by:
    `unableToReadOrInitHiValue` in interface `CoreMessageLogger`

### unableToReadOrInitHiValue$str

    protected String unableToReadOrInitHiValue$str()

### configuringFromUrl

    public final void configuringFromUrl(URL arg0)

  Specified by:
    `configuringFromUrl` in interface `CoreMessageLogger`

### configuringFromUrl$str

    protected String configuringFromUrl$str()

### unsupportedAfterStatement

    public final void unsupportedAfterStatement()

  Specified by:
    `unsupportedAfterStatement` in interface `CoreMessageLogger`

### unsupportedAfterStatement$str

    protected String unsupportedAfterStatement$str()

### unableToCloseInitialContext

    public final void unableToCloseInitialContext(String arg0)

  Specified by:
    `unableToCloseInitialContext` in interface `CoreMessageLogger`

### unableToCloseInitialContext$str

    protected String unableToCloseInitialContext$str()

### expired

    public final void expired(Object arg0)

  Specified by:
    `expired` in interface `CoreMessageLogger`

### expired$str

    protected String expired$str()

### factoryUnboundFromJndiName

    public final void factoryUnboundFromJndiName(String arg0)

  Specified by:
    `factoryUnboundFromJndiName` in interface `CoreMessageLogger`

### factoryUnboundFromJndiName$str

    protected String factoryUnboundFromJndiName$str()

### maxQueryTime

    public final void maxQueryTime(long arg0)

  Specified by:
    `maxQueryTime` in interface `CoreMessageLogger`

### maxQueryTime$str

    protected String maxQueryTime$str()

### noPersistentClassesFound

    public final void noPersistentClassesFound(String arg0)

  Specified by:
    `noPersistentClassesFound` in interface `CoreMessageLogger`

### noPersistentClassesFound$str

    protected String noPersistentClassesFound$str()

### unableToReleaseIsolatedConnection

    public final void unableToReleaseIsolatedConnection(Throwable arg0)

  Specified by:
    `unableToReleaseIsolatedConnection` in interface `CoreMessageLogger`

### unableToReleaseIsolatedConnection$str

    protected String unableToReleaseIsolatedConnection$str()

### duplicateGeneratorName

    public final void duplicateGeneratorName(String arg0)

  Specified by:
    `duplicateGeneratorName` in interface `CoreMessageLogger`

### duplicateGeneratorName$str

    protected String duplicateGeneratorName$str()

### unableToLoadDerbyDriver

    public final void unableToLoadDerbyDriver(String arg0)

  Specified by:
    `unableToLoadDerbyDriver` in interface `CoreMessageLogger`

### unableToLoadDerbyDriver$str

    protected String unableToLoadDerbyDriver$str()

### unableToDestroyUpdateTimestampsCache

    public final void unableToDestroyUpdateTimestampsCache(String arg0,
                                                           String arg1)

  Specified by:
    `unableToDestroyUpdateTimestampsCache` in interface `CoreMessageLogger`

### unableToDestroyUpdateTimestampsCache$str

    protected String unableToDestroyUpdateTimestampsCache$str()

### timestampCacheHits

    public final void timestampCacheHits(long arg0)

  Specified by:
    `timestampCacheHits` in interface `CoreMessageLogger`

### timestampCacheHits$str

    protected String timestampCacheHits$str()

### containerProvidingNullPersistenceUnitRootUrl

    public final void containerProvidingNullPersistenceUnitRootUrl()

  Specified by:
    `containerProvidingNullPersistenceUnitRootUrl` in interface `CoreMessageLogger`

### containerProvidingNullPersistenceUnitRootUrl$str

    protected String containerProvidingNullPersistenceUnitRootUrl$str()

### deprecatedUuidGenerator

    public final void deprecatedUuidGenerator(String arg0,
                                              String arg1)

  Specified by:
    `deprecatedUuidGenerator` in interface `CoreMessageLogger`

### deprecatedUuidGenerator$str

    protected String deprecatedUuidGenerator$str()

### configuringFromFile

    public final void configuringFromFile(String arg0)

  Specified by:
    `configuringFromFile` in interface `CoreMessageLogger`

### configuringFromFile$str

    protected String configuringFromFile$str()

### disablingContextualLOBCreationSinceCreateClobFailed

    public final void disablingContextualLOBCreationSinceCreateClobFailed(Throwable arg0)

  Specified by:
    `disablingContextualLOBCreationSinceCreateClobFailed` in interface `CoreMessageLogger`

### disablingContextualLOBCreationSinceCreateClobFailed$str

    protected String disablingContextualLOBCreationSinceCreateClobFailed$str()

### jndiNameDoesNotHandleSessionFactoryReference

    public final void jndiNameDoesNotHandleSessionFactoryReference(String arg0,
                                                                   ClassCastException arg1)

  Specified by:
    `jndiNameDoesNotHandleSessionFactoryReference` in interface `CoreMessageLogger`

### jndiNameDoesNotHandleSessionFactoryReference$str

    protected String jndiNameDoesNotHandleSessionFactoryReference$str()

### runningHbm2ddlSchemaUpdate

    public final void runningHbm2ddlSchemaUpdate()

  Specified by:
    `runningHbm2ddlSchemaUpdate` in interface `CoreMessageLogger`

### runningHbm2ddlSchemaUpdate$str

    protected String runningHbm2ddlSchemaUpdate$str()

### unableToCompleteSchemaValidation

    public final void unableToCompleteSchemaValidation(SQLException arg0)

  Specified by:
    `unableToCompleteSchemaValidation` in interface `CoreMessageLogger`

### unableToCompleteSchemaValidation$str

    protected String unableToCompleteSchemaValidation$str()

### requiredDifferentProvider

    public final void requiredDifferentProvider(String arg0)

  Specified by:
    `requiredDifferentProvider` in interface `CoreMessageLogger`

### requiredDifferentProvider$str

    protected String requiredDifferentProvider$str()

### usingDialect

    public final void usingDialect(Dialect arg0)

  Specified by:
    `usingDialect` in interface `CoreMessageLogger`

### usingDialect$str

    protected String usingDialect$str()

### naturalIdCachePuts

    public final void naturalIdCachePuts(long arg0)

  Specified by:
    `naturalIdCachePuts` in interface `CoreMessageLogger`

### naturalIdCachePuts$str

    protected String naturalIdCachePuts$str()

### warningsCreatingTempTable

    public final void warningsCreatingTempTable(SQLWarning arg0)

  Specified by:
    `warningsCreatingTempTable` in interface `CoreMessageLogger`

### warningsCreatingTempTable$str

    protected String warningsCreatingTempTable$str()

### entitiesDeleted

    public final void entitiesDeleted(long arg0)

  Specified by:
    `entitiesDeleted` in interface `CoreMessageLogger`

### entitiesDeleted$str

    protected String entitiesDeleted$str()

### cleaningUpConnectionPool

    public final void cleaningUpConnectionPool(String arg0)

  Specified by:
    `cleaningUpConnectionPool` in interface `CoreMessageLogger`

### cleaningUpConnectionPool$str

    protected String cleaningUpConnectionPool$str()

### explodedJarNotDirectory

    public final void explodedJarNotDirectory(URL jarUrl)

  Specified by:
    `explodedJarNotDirectory` in interface `EntityManagerMessageLogger`

### explodedJarNotDirectory$str

    protected String explodedJarNotDirectory$str()

### foundMappingDocument

    public final void foundMappingDocument(String arg0)

  Specified by:
    `foundMappingDocument` in interface `CoreMessageLogger`

### foundMappingDocument$str

    protected String foundMappingDocument$str()

### unableToLocateConfiguredSchemaNameResolver

    public final void unableToLocateConfiguredSchemaNameResolver(String arg0,
                                                                 String arg1)

  Specified by:
    `unableToLocateConfiguredSchemaNameResolver` in interface `CoreMessageLogger`

### unableToLocateConfiguredSchemaNameResolver$str

    protected String unableToLocateConfiguredSchemaNameResolver$str()

### serviceProperties

    public final void serviceProperties(Properties arg0)

  Specified by:
    `serviceProperties` in interface `CoreMessageLogger`

### serviceProperties$str

    protected String serviceProperties$str()

### autoFlushWillNotWork

    public final void autoFlushWillNotWork()

  Specified by:
    `autoFlushWillNotWork` in interface `CoreMessageLogger`

### autoFlushWillNotWork$str

    protected String autoFlushWillNotWork$str()

### secondLevelCachePuts

    public final void secondLevelCachePuts(long arg0)

  Specified by:
    `secondLevelCachePuts` in interface `CoreMessageLogger`

### secondLevelCachePuts$str

    protected String secondLevelCachePuts$str()

### usingTimestampWorkaround

    public final void usingTimestampWorkaround()

  Specified by:
    `usingTimestampWorkaround` in interface `CoreMessageLogger`

### usingTimestampWorkaround$str

    protected String usingTimestampWorkaround$str()

### unableToDestroyCache

    public final void unableToDestroyCache(String arg0)

  Specified by:
    `unableToDestroyCache` in interface `CoreMessageLogger`

### unableToDestroyCache$str

    protected String unableToDestroyCache$str()

### missingEntityAnnotation

    public final void missingEntityAnnotation(String arg0)

  Specified by:
    `missingEntityAnnotation` in interface `CoreMessageLogger`

### missingEntityAnnotation$str

    protected String missingEntityAnnotation$str()

### unableToRunSchemaUpdate

    public final void unableToRunSchemaUpdate(Exception arg0)

  Specified by:
    `unableToRunSchemaUpdate` in interface `CoreMessageLogger`

### unableToRunSchemaUpdate$str

    protected String unableToRunSchemaUpdate$str()

### unableToResolveMappingFile

    public final void unableToResolveMappingFile(String arg0)

  Specified by:
    `unableToResolveMappingFile` in interface `CoreMessageLogger`

### unableToResolveMappingFile$str

    protected String unableToResolveMappingFile$str()

### processEqualityExpression

    public final void processEqualityExpression()

  Specified by:
    `processEqualityExpression` in interface `CoreMessageLogger`

### processEqualityExpression$str

    protected String processEqualityExpression$str()

### usingDriver

    public final void usingDriver(String arg0,
                                  String arg1)

  Specified by:
    `usingDriver` in interface `CoreMessageLogger`

### usingDriver$str

    protected String usingDriver$str()

### foreignKeys

    public final void foreignKeys(Set arg0)

  Specified by:
    `foreignKeys` in interface `CoreMessageLogger`

### foreignKeys$str

    protected String foreignKeys$str()

### failed

    public final void failed(Throwable arg0)

  Specified by:
    `failed` in interface `CoreMessageLogger`

### failed$str

    protected String failed$str()

### unableToReleaseTypeInfoResultSet

    public final void unableToReleaseTypeInfoResultSet()

  Specified by:
    `unableToReleaseTypeInfoResultSet` in interface `CoreMessageLogger`

### unableToReleaseTypeInfoResultSet$str

    protected String unableToReleaseTypeInfoResultSet$str()

### rdmsOs2200Dialect

    public final void rdmsOs2200Dialect()

  Specified by:
    `rdmsOs2200Dialect` in interface `CoreMessageLogger`

### rdmsOs2200Dialect$str

    protected String rdmsOs2200Dialect$str()

### unableToDetermineTransactionStatus

    public final String unableToDetermineTransactionStatus()

  Specified by:
    `unableToDetermineTransactionStatus` in interface `CoreMessageLogger`

### unableToDetermineTransactionStatus$str

    protected String unableToDetermineTransactionStatus$str()

### sortAnnotationIndexedCollection

    public final void sortAnnotationIndexedCollection()

  Specified by:
    `sortAnnotationIndexedCollection` in interface `CoreMessageLogger`

### sortAnnotationIndexedCollection$str

    protected String sortAnnotationIndexedCollection$str()

### invalidJndiName

    public final void invalidJndiName(String arg0,
                                      JndiNameException arg1)

  Specified by:
    `invalidJndiName` in interface `CoreMessageLogger`

### invalidJndiName$str

    protected String invalidJndiName$str()

### unableToParseMetadata

    public final void unableToParseMetadata(String arg0)

  Specified by:
    `unableToParseMetadata` in interface `CoreMessageLogger`

### unableToParseMetadata$str

    protected String unableToParseMetadata$str()

### exceptionInBeforeTransactionCompletionInterceptor

    public final void exceptionInBeforeTransactionCompletionInterceptor(Throwable arg0)

  Specified by:
    `exceptionInBeforeTransactionCompletionInterceptor` in interface `CoreMessageLogger`

### exceptionInBeforeTransactionCompletionInterceptor$str

    protected String exceptionInBeforeTransactionCompletionInterceptor$str()

### recognizedObsoleteHibernateNamespace

    public final void recognizedObsoleteHibernateNamespace(String arg0,
                                                           String arg1)

  Specified by:
    `recognizedObsoleteHibernateNamespace` in interface `CoreMessageLogger`

### recognizedObsoleteHibernateNamespace$str

    protected String recognizedObsoleteHibernateNamespace$str()

### unableToTransformClass

    public final void unableToTransformClass(String arg0)

  Specified by:
    `unableToTransformClass` in interface `CoreMessageLogger`

### unableToTransformClass$str

    protected String unableToTransformClass$str()

### unableToCloseInputStreamForResource

    public final void unableToCloseInputStreamForResource(String arg0,
                                                          IOException arg1)

  Specified by:
    `unableToCloseInputStreamForResource` in interface `CoreMessageLogger`

### unableToCloseInputStreamForResource$str

    protected String unableToCloseInputStreamForResource$str()

### persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly

    public final void persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly()

  Specified by:
    `persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly` in interface `CoreMessageLogger`

### persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly$str

    protected String persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly$str()

### hydratingEntitiesCount

    public final void hydratingEntitiesCount(int arg0)

  Specified by:
    `hydratingEntitiesCount` in interface `CoreMessageLogger`

### hydratingEntitiesCount$str

    protected String hydratingEntitiesCount$str()

### incompleteMappingMetadataCacheProcessing

    public final void incompleteMappingMetadataCacheProcessing()

  Specified by:
    `incompleteMappingMetadataCacheProcessing` in interface `CoreMessageLogger`

### incompleteMappingMetadataCacheProcessing$str

    protected String incompleteMappingMetadataCacheProcessing$str()

### jndiInitialContextProperties

    public final void jndiInitialContextProperties(Hashtable arg0)

  Specified by:
    `jndiInitialContextProperties` in interface `CoreMessageLogger`

### jndiInitialContextProperties$str

    protected String jndiInitialContextProperties$str()

### usingDefaultIdGeneratorSegmentValue

    public final void usingDefaultIdGeneratorSegmentValue(String arg0,
                                                          String arg1,
                                                          String arg2)

  Specified by:
    `usingDefaultIdGeneratorSegmentValue` in interface `CoreMessageLogger`

### usingDefaultIdGeneratorSegmentValue$str

    protected String usingDefaultIdGeneratorSegmentValue$str()

### unableToObjectConnectionToQueryMetadata

    public final void unableToObjectConnectionToQueryMetadata(SQLException arg0)

  Specified by:
    `unableToObjectConnectionToQueryMetadata` in interface `CoreMessageLogger`

### unableToObjectConnectionToQueryMetadata$str

    protected String unableToObjectConnectionToQueryMetadata$str()

### hibernateConnectionPoolSize

    public final void hibernateConnectionPoolSize(int arg0)

  Specified by:
    `hibernateConnectionPoolSize` in interface `CoreMessageLogger`

### hibernateConnectionPoolSize$str

    protected String hibernateConnectionPoolSize$str()

### undeterminedH2Version

    public final void undeterminedH2Version()

  Specified by:
    `undeterminedH2Version` in interface `CoreMessageLogger`

### undeterminedH2Version$str

    protected String undeterminedH2Version$str()

### unableToPerformManagedFlush

    public final void unableToPerformManagedFlush(String arg0)

  Specified by:
    `unableToPerformManagedFlush` in interface `CoreMessageLogger`

### unableToPerformManagedFlush$str

    protected String unableToPerformManagedFlush$str()

### deprecatedOracleDialect

    public final void deprecatedOracleDialect()

  Specified by:
    `deprecatedOracleDialect` in interface `CoreMessageLogger`

### deprecatedOracleDialect$str

    protected String deprecatedOracleDialect$str()

### closing

    public final void closing()

  Specified by:
    `closing` in interface `CoreMessageLogger`

### closing$str

    protected String closing$str()

### failSafeEntitiesCleanup

    public final void failSafeEntitiesCleanup(EntityLoadContext arg0)

  Specified by:
    `failSafeEntitiesCleanup` in interface `CoreMessageLogger`

### failSafeEntitiesCleanup$str

    protected String failSafeEntitiesCleanup$str()

### unableToCleanUpPreparedStatement

    public final void unableToCleanUpPreparedStatement(SQLException arg0)

  Specified by:
    `unableToCleanUpPreparedStatement` in interface `CoreMessageLogger`

### unableToCleanUpPreparedStatement$str

    protected String unableToCleanUpPreparedStatement$str()

### unableToReleaseCacheLock

    public final void unableToReleaseCacheLock(CacheException arg0)

  Specified by:
    `unableToReleaseCacheLock` in interface `CoreMessageLogger`

### unableToReleaseCacheLock$str

    protected String unableToReleaseCacheLock$str()

### unableToDetermineTransactionStatusAfterCommit

    public final String unableToDetermineTransactionStatusAfterCommit()

  Specified by:
    `unableToDetermineTransactionStatusAfterCommit` in interface `CoreMessageLogger`

### unableToDetermineTransactionStatusAfterCommit$str

    protected String unableToDetermineTransactionStatusAfterCommit$str()

### unableToRollbackJta

    public final String unableToRollbackJta()

  Specified by:
    `unableToRollbackJta` in interface `CoreMessageLogger`

### unableToRollbackJta$str

    protected String unableToRollbackJta$str()

### unableToObjectConnectionMetadata

    public final void unableToObjectConnectionMetadata(SQLException arg0)

  Specified by:
    `unableToObjectConnectionMetadata` in interface `CoreMessageLogger`

### unableToObjectConnectionMetadata$str

    protected String unableToObjectConnectionMetadata$str()

### lazyPropertyFetchingAvailable

    public final void lazyPropertyFetchingAvailable(String arg0)

  Specified by:
    `lazyPropertyFetchingAvailable` in interface `CoreMessageLogger`

### lazyPropertyFetchingAvailable$str

    protected String lazyPropertyFetchingAvailable$str()

### collectionsFetched

    public final void collectionsFetched(long arg0)

  Specified by:
    `collectionsFetched` in interface `CoreMessageLogger`

### collectionsFetched$str

    protected String collectionsFetched$str()

### queryCachePuts

    public final void queryCachePuts(long arg0)

  Specified by:
    `queryCachePuts` in interface `CoreMessageLogger`

### queryCachePuts$str

    protected String queryCachePuts$str()

### transactions

    public final void transactions(long arg0)

  Specified by:
    `transactions` in interface `CoreMessageLogger`

### transactions$str

    protected String transactions$str()

### unableToCloseSessionDuringRollback

    public final void unableToCloseSessionDuringRollback(Exception arg0)

  Specified by:
    `unableToCloseSessionDuringRollback` in interface `CoreMessageLogger`

### unableToCloseSessionDuringRollback$str

    protected String unableToCloseSessionDuringRollback$str()

### entityManagerFactoryAlreadyRegistered

    public final void entityManagerFactoryAlreadyRegistered(String arg0,
                                                            String arg1)

  Specified by:
    `entityManagerFactoryAlreadyRegistered` in interface `CoreMessageLogger`

### entityManagerFactoryAlreadyRegistered$str

    protected String entityManagerFactoryAlreadyRegistered$str()

### collectionsLoaded

    public final void collectionsLoaded(long arg0)

  Specified by:
    `collectionsLoaded` in interface `CoreMessageLogger`

### collectionsLoaded$str

    protected String collectionsLoaded$str()

### unsupportedMultiTableBulkHqlJpaql

    public final void unsupportedMultiTableBulkHqlJpaql(int arg0,
                                                        int arg1,
                                                        int arg2)

  Specified by:
    `unsupportedMultiTableBulkHqlJpaql` in interface `CoreMessageLogger`

### unsupportedMultiTableBulkHqlJpaql$str

    protected String unsupportedMultiTableBulkHqlJpaql$str()

### transactionStartedOnNonRootSession

    public final void transactionStartedOnNonRootSession()

  Specified by:
    `transactionStartedOnNonRootSession` in interface `CoreMessageLogger`

### transactionStartedOnNonRootSession$str

    protected String transactionStartedOnNonRootSession$str()

### searchingForMappingDocuments

    public final void searchingForMappingDocuments(String arg0)

  Specified by:
    `searchingForMappingDocuments` in interface `CoreMessageLogger`

### searchingForMappingDocuments$str

    protected String searchingForMappingDocuments$str()

### configuringFromResource

    public final void configuringFromResource(String arg0)

  Specified by:
    `configuringFromResource` in interface `CoreMessageLogger`

### configuringFromResource$str

    protected String configuringFromResource$str()

### unableToWriteCachedFile

    public final void unableToWriteCachedFile(String arg0,
                                              String arg1)

  Specified by:
    `unableToWriteCachedFile` in interface `CoreMessageLogger`

### unableToWriteCachedFile$str

    protected String unableToWriteCachedFile$str()

### disablingContextualLOBCreation

    public final void disablingContextualLOBCreation(String arg0)

  Specified by:
    `disablingContextualLOBCreation` in interface `CoreMessageLogger`

### disablingContextualLOBCreation$str

    protected String disablingContextualLOBCreation$str()

### factoryUnboundFromName

    public final void factoryUnboundFromName(String arg0)

  Specified by:
    `factoryUnboundFromName` in interface `CoreMessageLogger`

### factoryUnboundFromName$str

    protected String factoryUnboundFromName$str()

### unsupportedOracleVersion

    public final void unsupportedOracleVersion()

  Specified by:
    `unsupportedOracleVersion` in interface `CoreMessageLogger`

### unsupportedOracleVersion$str

    protected String unsupportedOracleVersion$str()

### proxoolProviderClassNotFound

    public final void proxoolProviderClassNotFound(String arg0)

  Specified by:
    `proxoolProviderClassNotFound` in interface `CoreMessageLogger`

### proxoolProviderClassNotFound$str

    protected String proxoolProviderClassNotFound$str()

### unsupportedInitialValue

    public final void unsupportedInitialValue(String arg0)

  Specified by:
    `unsupportedInitialValue` in interface `CoreMessageLogger`

### unsupportedInitialValue$str

    protected String unsupportedInitialValue$str()

### unableToAccessEjb3Configuration

    public final void unableToAccessEjb3Configuration(NamingException arg0)

  Specified by:
    `unableToAccessEjb3Configuration` in interface `CoreMessageLogger`

### unableToAccessEjb3Configuration$str

    protected String unableToAccessEjb3Configuration$str()

### usingAstQueryTranslatorFactory

    public final void usingAstQueryTranslatorFactory()

  Specified by:
    `usingAstQueryTranslatorFactory` in interface `CoreMessageLogger`

### usingAstQueryTranslatorFactory$str

    protected String usingAstQueryTranslatorFactory$str()

### unableToCloseOutputFile

    public final void unableToCloseOutputFile(String arg0,
                                              IOException arg1)

  Specified by:
    `unableToCloseOutputFile` in interface `CoreMessageLogger`

### unableToCloseOutputFile$str

    protected String unableToCloseOutputFile$str()

### unknownBytecodeProvider

    public final void unknownBytecodeProvider(String arg0)

  Specified by:
    `unknownBytecodeProvider` in interface `CoreMessageLogger`

### unknownBytecodeProvider$str

    protected String unknownBytecodeProvider$str()

### unableToReleaseCreatedMBeanServer

    public final void unableToReleaseCreatedMBeanServer(String arg0)

  Specified by:
    `unableToReleaseCreatedMBeanServer` in interface `CoreMessageLogger`

### unableToReleaseCreatedMBeanServer$str

    protected String unableToReleaseCreatedMBeanServer$str()

### unableToConstructSqlExceptionConverter

    public final void unableToConstructSqlExceptionConverter(Throwable arg0)

  Specified by:
    `unableToConstructSqlExceptionConverter` in interface `CoreMessageLogger`

### unableToConstructSqlExceptionConverter$str

    protected String unableToConstructSqlExceptionConverter$str()

### invalidSubStrategy

    public final void invalidSubStrategy(String arg0)

  Specified by:
    `invalidSubStrategy` in interface `CoreMessageLogger`

### invalidSubStrategy$str

    protected String invalidSubStrategy$str()

### typeRegistrationOverridesPrevious

    public final void typeRegistrationOverridesPrevious(String arg0,
                                                        Type arg1)

  Specified by:
    `typeRegistrationOverridesPrevious` in interface `CoreMessageLogger`

### typeRegistrationOverridesPrevious$str

    protected String typeRegistrationOverridesPrevious$str()

### invalidDiscriminatorAnnotation

    public final void invalidDiscriminatorAnnotation(String arg0)

  Specified by:
    `invalidDiscriminatorAnnotation` in interface `CoreMessageLogger`

### invalidDiscriminatorAnnotation$str

    protected String invalidDiscriminatorAnnotation$str()

### needsLimit

    public final void needsLimit()

  Specified by:
    `needsLimit` in interface `CoreMessageLogger`

### needsLimit$str

    protected String needsLimit$str()

### fetchingDatabaseMetadata

    public final void fetchingDatabaseMetadata()

  Specified by:
    `fetchingDatabaseMetadata` in interface `CoreMessageLogger`

### fetchingDatabaseMetadata$str

    protected String fetchingDatabaseMetadata$str()

### unableToCleanupTemporaryIdTable

    public final void unableToCleanupTemporaryIdTable(Throwable arg0)

  Specified by:
    `unableToCleanupTemporaryIdTable` in interface `CoreMessageLogger`

### unableToCleanupTemporaryIdTable$str

    protected String unableToCleanupTemporaryIdTable$str()

### unableToExecuteResolver

    public final void unableToExecuteResolver(AbstractDialectResolver arg0,
                                              String arg1)

  Specified by:
    `unableToExecuteResolver` in interface `CoreMessageLogger`

### unableToExecuteResolver$str

    protected String unableToExecuteResolver$str()

### invalidTableAnnotation

    public final void invalidTableAnnotation(String arg0)

  Specified by:
    `invalidTableAnnotation` in interface `CoreMessageLogger`

### invalidTableAnnotation$str

    protected String invalidTableAnnotation$str()

### unableToUnbindFactoryFromJndi

    public final void unableToUnbindFactoryFromJndi(JndiException arg0)

  Specified by:
    `unableToUnbindFactoryFromJndi` in interface `CoreMessageLogger`

### unableToUnbindFactoryFromJndi$str

    protected String unableToUnbindFactoryFromJndi$str()

### forcingContainerResourceCleanup

    public final void forcingContainerResourceCleanup()

  Specified by:
    `forcingContainerResourceCleanup` in interface `CoreMessageLogger`

### forcingContainerResourceCleanup$str

    protected String forcingContainerResourceCleanup$str()

### willNotRegisterListeners

    public final void willNotRegisterListeners()

  Specified by:
    `willNotRegisterListeners` in interface `CoreMessageLogger`

### willNotRegisterListeners$str

    protected String willNotRegisterListeners$str()

### unableToDropTemporaryIdTable

    public final void unableToDropTemporaryIdTable(String arg0)

  Specified by:
    `unableToDropTemporaryIdTable` in interface `CoreMessageLogger`

### unableToDropTemporaryIdTable$str

    protected String unableToDropTemporaryIdTable$str()

### unableToLoadProperties

    public final void unableToLoadProperties()

  Specified by:
    `unableToLoadProperties` in interface `CoreMessageLogger`

### unableToLoadProperties$str

    protected String unableToLoadProperties$str()

### autoCommitMode

    public final void autoCommitMode(boolean arg0)

  Specified by:
    `autoCommitMode` in interface `CoreMessageLogger`

### autoCommitMode$str

    protected String autoCommitMode$str()

### unableToCloseInputFiles

    public final void unableToCloseInputFiles(String arg0,
                                              IOException arg1)

  Specified by:
    `unableToCloseInputFiles` in interface `CoreMessageLogger`

### unableToCloseInputFiles$str

    protected String unableToCloseInputFiles$str()

### unableToCommitJta

    public final String unableToCommitJta()

  Specified by:
    `unableToCommitJta` in interface `CoreMessageLogger`

### unableToCommitJta$str

    protected String unableToCommitJta$str()

### deprecatedDerbyDialect

    public final void deprecatedDerbyDialect()

  Specified by:
    `deprecatedDerbyDialect` in interface `CoreMessageLogger`

### deprecatedDerbyDialect$str

    protected String deprecatedDerbyDialect$str()

### unableToCopySystemProperties

    public final void unableToCopySystemProperties()

  Specified by:
    `unableToCopySystemProperties` in interface `CoreMessageLogger`

### unableToCopySystemProperties$str

    protected String unableToCopySystemProperties$str()

### successfulTransactions

    public final void successfulTransactions(long arg0)

  Specified by:
    `successfulTransactions` in interface `CoreMessageLogger`

### successfulTransactions$str

    protected String successfulTransactions$str()

### statementsPrepared

    public final void statementsPrepared(long arg0)

  Specified by:
    `statementsPrepared` in interface `CoreMessageLogger`

### statementsPrepared$str

    protected String statementsPrepared$str()

### entityManagerClosedBySomeoneElse

    public final void entityManagerClosedBySomeoneElse(String arg0)

  Specified by:
    `entityManagerClosedBySomeoneElse` in interface `CoreMessageLogger`

### entityManagerClosedBySomeoneElse$str

    protected String entityManagerClosedBySomeoneElse$str()

### validatorNotFound

    public final void validatorNotFound()

  Specified by:
    `validatorNotFound` in interface `CoreMessageLogger`

### validatorNotFound$str

    protected String validatorNotFound$str()

### filterAnnotationOnSubclass

    public final void filterAnnotationOnSubclass(String arg0)

  Specified by:
    `filterAnnotationOnSubclass` in interface `CoreMessageLogger`

### filterAnnotationOnSubclass$str

    protected String filterAnnotationOnSubclass$str()

### unableToGetDatabaseMetadata

    public final void unableToGetDatabaseMetadata(SQLException arg0)

  Specified by:
    `unableToGetDatabaseMetadata` in interface `CoreMessageLogger`

### unableToGetDatabaseMetadata$str

    protected String unableToGetDatabaseMetadata$str()

### secondLevelCacheMisses

    public final void secondLevelCacheMisses(long arg0)

  Specified by:
    `secondLevelCacheMisses` in interface `CoreMessageLogger`

### secondLevelCacheMisses$str

    protected String secondLevelCacheMisses$str()

### legacyTransactionManagerStrategy

    public final void legacyTransactionManagerStrategy(String arg0,
                                                       String arg1)

  Specified by:
    `legacyTransactionManagerStrategy` in interface `CoreMessageLogger`

### legacyTransactionManagerStrategy$str

    protected String legacyTransactionManagerStrategy$str()

### unableToRemoveBagJoinFetch

    public final void unableToRemoveBagJoinFetch()

  Specified by:
    `unableToRemoveBagJoinFetch` in interface `CoreMessageLogger`

### unableToRemoveBagJoinFetch$str

    protected String unableToRemoveBagJoinFetch$str()

### entityAnnotationOnNonRoot

    public final void entityAnnotationOnNonRoot(String arg0)

  Specified by:
    `entityAnnotationOnNonRoot` in interface `CoreMessageLogger`

### entityAnnotationOnNonRoot$str

    protected String entityAnnotationOnNonRoot$str()

### providerClassDeprecated

    public final void providerClassDeprecated(String arg0,
                                              String arg1)

  Specified by:
    `providerClassDeprecated` in interface `CoreMessageLogger`

### providerClassDeprecated$str

    protected String providerClassDeprecated$str()

### invalidPrimaryKeyJoinColumnAnnotation

    public final void invalidPrimaryKeyJoinColumnAnnotation()

  Specified by:
    `invalidPrimaryKeyJoinColumnAnnotation` in interface `CoreMessageLogger`

### invalidPrimaryKeyJoinColumnAnnotation$str

    protected String invalidPrimaryKeyJoinColumnAnnotation$str()

### renamedProperty

    public final void renamedProperty(Object arg0,
                                      Object arg1)

  Specified by:
    `renamedProperty` in interface `CoreMessageLogger`

### renamedProperty$str

    protected String renamedProperty$str()

### unableToResolveAggregateFunction

    public final void unableToResolveAggregateFunction(String arg0)

  Specified by:
    `unableToResolveAggregateFunction` in interface `CoreMessageLogger`

### unableToResolveAggregateFunction$str

    protected String unableToResolveAggregateFunction$str()

### javassistEnhancementFailed

    public final String javassistEnhancementFailed(String arg0)

  Specified by:
    `javassistEnhancementFailed` in interface `CoreMessageLogger`

### javassistEnhancementFailed$str

    protected String javassistEnhancementFailed$str()

### handlingTransientEntity

    public final void handlingTransientEntity()

  Specified by:
    `handlingTransientEntity` in interface `CoreMessageLogger`

### handlingTransientEntity$str

    protected String handlingTransientEntity$str()

### malformedUrl

    public final void malformedUrl(URL jarUrl,
                                   URISyntaxException e)

  Specified by:
    `malformedUrl` in interface `EntityManagerMessageLogger`

### malformedUrl$str

    protected String malformedUrl$str()

### unableToCloseStreamError

    public final void unableToCloseStreamError(IOException arg0)

  Specified by:
    `unableToCloseStreamError` in interface `CoreMessageLogger`

### unableToCloseStreamError$str

    protected String unableToCloseStreamError$str()

### immutableAnnotationOnNonRoot

    public final void immutableAnnotationOnNonRoot(String arg0)

  Specified by:
    `immutableAnnotationOnNonRoot` in interface `CoreMessageLogger`

### immutableAnnotationOnNonRoot$str

    protected String immutableAnnotationOnNonRoot$str()

### sessionsClosed

    public final void sessionsClosed(long arg0)

  Specified by:
    `sessionsClosed` in interface `CoreMessageLogger`

### sessionsClosed$str

    protected String sessionsClosed$str()

### flushes

    public final void flushes(long arg0)

  Specified by:
    `flushes` in interface `CoreMessageLogger`

### flushes$str

    protected String flushes$str()

### cannotResolveNonNullableTransientDependencies

    public final void cannotResolveNonNullableTransientDependencies(String arg0,
                                                                    Set arg1,
                                                                    Set arg2)

  Specified by:
    `cannotResolveNonNullableTransientDependencies` in interface `CoreMessageLogger`

### cannotResolveNonNullableTransientDependencies$str

    protected String cannotResolveNonNullableTransientDependencies$str()

### unableToRetrieveCache

    public final void unableToRetrieveCache(String arg0,
                                            String arg1)

  Specified by:
    `unableToRetrieveCache` in interface `CoreMessageLogger`

### unableToRetrieveCache$str

    protected String unableToRetrieveCache$str()

### unableToCreateProxyFactory

    public final void unableToCreateProxyFactory(String arg0,
                                                 HibernateException arg1)

  Specified by:
    `unableToCreateProxyFactory` in interface `CoreMessageLogger`

### unableToCreateProxyFactory$str

    protected String unableToCreateProxyFactory$str()

### unableToRollbackIsolatedTransaction

    public final void unableToRollbackIsolatedTransaction(Exception arg0,
                                                          Exception arg1)

  Specified by:
    `unableToRollbackIsolatedTransaction` in interface `CoreMessageLogger`

### unableToRollbackIsolatedTransaction$str

    protected String unableToRollbackIsolatedTransaction$str()

### transactionStrategy

    public final void transactionStrategy(String arg0)

  Specified by:
    `transactionStrategy` in interface `CoreMessageLogger`

### transactionStrategy$str

    protected String transactionStrategy$str()

### duplicateImport

    public final void duplicateImport(String arg0,
                                      String arg1)

  Specified by:
    `duplicateImport` in interface `CoreMessageLogger`

### duplicateImport$str

    protected String duplicateImport$str()

### readingMappingsFromResource

    public final void readingMappingsFromResource(String arg0)

  Specified by:
    `readingMappingsFromResource` in interface `CoreMessageLogger`

### readingMappingsFromResource$str

    protected String readingMappingsFromResource$str()

### unableToSynchronizeDatabaseStateWithSession

    public final void unableToSynchronizeDatabaseStateWithSession(HibernateException arg0)

  Specified by:
    `unableToSynchronizeDatabaseStateWithSession` in interface `CoreMessageLogger`

### unableToSynchronizeDatabaseStateWithSession$str

    protected String unableToSynchronizeDatabaseStateWithSession$str()

### usingProvidedDataSource

    public final void usingProvidedDataSource()

  Specified by:
    `usingProvidedDataSource` in interface `EntityManagerMessageLogger`

### usingProvidedDataSource$str

    protected String usingProvidedDataSource$str()

### boundEjb3ConfigurationToJndiName

    public final void boundEjb3ConfigurationToJndiName(String name)

  Specified by:
    `boundEjb3ConfigurationToJndiName` in interface `EntityManagerMessageLogger`

### boundEjb3ConfigurationToJndiName$str

    protected String boundEjb3ConfigurationToJndiName$str()

### processingPersistenceUnitInfoName

    public final void processingPersistenceUnitInfoName(String arg0)

  Specified by:
    `processingPersistenceUnitInfoName` in interface `CoreMessageLogger`

### processingPersistenceUnitInfoName$str

    protected String processingPersistenceUnitInfoName$str()

### unableToObtainInitialContext

    public final void unableToObtainInitialContext(NamingException arg0)

  Specified by:
    `unableToObtainInitialContext` in interface `CoreMessageLogger`

### unableToObtainInitialContext$str

    protected String unableToObtainInitialContext$str()

### preparedStatementAlreadyInBatch

    public final void preparedStatementAlreadyInBatch(String arg0)

  Specified by:
    `preparedStatementAlreadyInBatch` in interface `CoreMessageLogger`

### preparedStatementAlreadyInBatch$str

    protected String preparedStatementAlreadyInBatch$str()

### missingArguments

    public final void missingArguments(int arg0,
                                       int arg1)

  Specified by:
    `missingArguments` in interface `CoreMessageLogger`

### missingArguments$str

    protected String missingArguments$str()

### version

    public final void version(String arg0)

  Specified by:
    `version` in interface `CoreMessageLogger`

### version$str

    protected String version$str()

### unableToFindPersistenceXmlInClasspath

    public final void unableToFindPersistenceXmlInClasspath()

  Specified by:
    `unableToFindPersistenceXmlInClasspath` in interface `CoreMessageLogger`

### unableToFindPersistenceXmlInClasspath$str

    protected String unableToFindPersistenceXmlInClasspath$str()

### noColumnsSpecifiedForIndex

    public final void noColumnsSpecifiedForIndex(String arg0,
                                                 String arg1)

  Specified by:
    `noColumnsSpecifiedForIndex` in interface `CoreMessageLogger`

### noColumnsSpecifiedForIndex$str

    protected String noColumnsSpecifiedForIndex$str()

### unableToSwitchToMethodUsingColumnIndex

    public final void unableToSwitchToMethodUsingColumnIndex(Method arg0)

  Specified by:
    `unableToSwitchToMethodUsingColumnIndex` in interface `CoreMessageLogger`

### unableToSwitchToMethodUsingColumnIndex$str

    protected String unableToSwitchToMethodUsingColumnIndex$str()

### naturalIdMaxQueryTime

    public final void naturalIdMaxQueryTime(long arg0)

  Specified by:
    `naturalIdMaxQueryTime` in interface `CoreMessageLogger`

### naturalIdMaxQueryTime$str

    protected String naturalIdMaxQueryTime$str()

### definingFlushBeforeCompletionIgnoredInHem

    public final void definingFlushBeforeCompletionIgnoredInHem(String arg0)

  Specified by:
    `definingFlushBeforeCompletionIgnoredInHem` in interface `CoreMessageLogger`

### definingFlushBeforeCompletionIgnoredInHem$str

    protected String definingFlushBeforeCompletionIgnoredInHem$str()

### propertiesNotFound

    public final void propertiesNotFound()

  Specified by:
    `propertiesNotFound` in interface `CoreMessageLogger`

### propertiesNotFound$str

    protected String propertiesNotFound$str()

### unableToCloseSessionButSwallowingError

    public final void unableToCloseSessionButSwallowingError(HibernateException arg0)

  Specified by:
    `unableToCloseSessionButSwallowingError` in interface `CoreMessageLogger`

### unableToCloseSessionButSwallowingError$str

    protected String unableToCloseSessionButSwallowingError$str()

### cachedFileNotFound

    public final void cachedFileNotFound(String arg0,
                                         FileNotFoundException arg1)

  Specified by:
    `cachedFileNotFound` in interface `CoreMessageLogger`

### cachedFileNotFound$str

    protected String cachedFileNotFound$str()

### configuringFromXmlDocument

    public final void configuringFromXmlDocument()

  Specified by:
    `configuringFromXmlDocument` in interface `CoreMessageLogger`

### configuringFromXmlDocument$str

    protected String configuringFromXmlDocument$str()

### entitiesInserted

    public final void entitiesInserted(long arg0)

  Specified by:
    `entitiesInserted` in interface `CoreMessageLogger`

### entitiesInserted$str

    protected String entitiesInserted$str()

### propertyNotFound

    public final void propertyNotFound(String arg0)

  Specified by:
    `propertyNotFound` in interface `CoreMessageLogger`

### propertyNotFound$str

    protected String propertyNotFound$str()

### unableToReadColumnValueFromResultSet

    public final void unableToReadColumnValueFromResultSet(String arg0,
                                                           String arg1)

  Specified by:
    `unableToReadColumnValueFromResultSet` in interface `CoreMessageLogger`

### unableToReadColumnValueFromResultSet$str

    protected String unableToReadColumnValueFromResultSet$str()

### unableToObtainConnectionMetadata

    public final void unableToObtainConnectionMetadata(String arg0)

  Specified by:
    `unableToObtainConnectionMetadata` in interface `CoreMessageLogger`

### unableToObtainConnectionMetadata$str

    protected String unableToObtainConnectionMetadata$str()

### usingOldDtd

    public final void usingOldDtd()

  Specified by:
    `usingOldDtd` in interface `CoreMessageLogger`

### usingOldDtd$str

    protected String usingOldDtd$str()

### c3p0ProviderClassNotFound

    public final void c3p0ProviderClassNotFound(String arg0)

  Specified by:
    `c3p0ProviderClassNotFound` in interface `CoreMessageLogger`

### c3p0ProviderClassNotFound$str

    protected String c3p0ProviderClassNotFound$str()

### configurationResource

    public final void configurationResource(String arg0)

  Specified by:
    `configurationResource` in interface `CoreMessageLogger`

### configurationResource$str

    protected String configurationResource$str()

### naturalIdCacheMisses

    public final void naturalIdCacheMisses(long arg0)

  Specified by:
    `naturalIdCacheMisses` in interface `CoreMessageLogger`

### naturalIdCacheMisses$str

    protected String naturalIdCacheMisses$str()

### unableToConstructCurrentSessionContext

    public final void unableToConstructCurrentSessionContext(String arg0,
                                                             Throwable arg1)

  Specified by:
    `unableToConstructCurrentSessionContext` in interface `CoreMessageLogger`

### unableToConstructCurrentSessionContext$str

    protected String unableToConstructCurrentSessionContext$str()

### updatingSchema

    public final void updatingSchema()

  Specified by:
    `updatingSchema` in interface `CoreMessageLogger`

### updatingSchema$str

    protected String updatingSchema$str()

### unsupportedIngresVersion

    public final void unsupportedIngresVersion()

  Specified by:
    `unsupportedIngresVersion` in interface `CoreMessageLogger`

### unsupportedIngresVersion$str

    protected String unsupportedIngresVersion$str()

### unableToAccessSessionFactory

    public final void unableToAccessSessionFactory(String arg0,
                                                   NamingException arg1)

  Specified by:
    `unableToAccessSessionFactory` in interface `CoreMessageLogger`

### unableToAccessSessionFactory$str

    protected String unableToAccessSessionFactory$str()

### loadingCollectionKeyNotFound

    public final void loadingCollectionKeyNotFound(CollectionKey arg0)

  Specified by:
    `loadingCollectionKeyNotFound` in interface `CoreMessageLogger`

### loadingCollectionKeyNotFound$str

    protected String loadingCollectionKeyNotFound$str()

### readingCachedMappings

    public final void readingCachedMappings(File arg0)

  Specified by:
    `readingCachedMappings` in interface `CoreMessageLogger`

### readingCachedMappings$str

    protected String readingCachedMappings$str()

### gettersOfLazyClassesCannotBeFinal

    public final void gettersOfLazyClassesCannotBeFinal(String arg0,
                                                        String arg1)

  Specified by:
    `gettersOfLazyClassesCannotBeFinal` in interface `CoreMessageLogger`

### gettersOfLazyClassesCannotBeFinal$str

    protected String gettersOfLazyClassesCannotBeFinal$str()

### creatingSubcontextInfo

    public final void creatingSubcontextInfo(String arg0)

  Specified by:
    `creatingSubcontextInfo` in interface `CoreMessageLogger`

### creatingSubcontextInfo$str

    protected String creatingSubcontextInfo$str()

### unableToDeserializeCache

    public final void unableToDeserializeCache(String arg0,
                                               SerializationException arg1)

  Specified by:
    `unableToDeserializeCache` in interface `CoreMessageLogger`

### unableToDeserializeCache$str

    protected String unableToDeserializeCache$str()

### parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter

    public final void parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter(Integer arg0)

  Specified by:
    `parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter` in interface `CoreMessageLogger`

### parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter$str

    protected String parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter$str()

### unableToCleanUpCallableStatement

    public final void unableToCleanUpCallableStatement(SQLException arg0)

  Specified by:
    `unableToCleanUpCallableStatement` in interface `CoreMessageLogger`

### unableToCleanUpCallableStatement$str

    protected String unableToCleanUpCallableStatement$str()

### illegalPropertyGetterArgument

    public final void illegalPropertyGetterArgument(String arg0,
                                                    String arg1)

  Specified by:
    `illegalPropertyGetterArgument` in interface `CoreMessageLogger`

### illegalPropertyGetterArgument$str

    protected String illegalPropertyGetterArgument$str()

### jdbcDriverNotSpecified

    public final void jdbcDriverNotSpecified(String arg0)

  Specified by:
    `jdbcDriverNotSpecified` in interface `CoreMessageLogger`

### jdbcDriverNotSpecified$str

    protected String jdbcDriverNotSpecified$str()

### entitiesUpdated

    public final void entitiesUpdated(long arg0)

  Specified by:
    `entitiesUpdated` in interface `CoreMessageLogger`

### entitiesUpdated$str

    protected String entitiesUpdated$str()

### noSessionFactoryWithJndiName

    public final void noSessionFactoryWithJndiName(String arg0,
                                                   NameNotFoundException arg1)

  Specified by:
    `noSessionFactoryWithJndiName` in interface `CoreMessageLogger`

### noSessionFactoryWithJndiName$str

    protected String noSessionFactoryWithJndiName$str()

### unknownIngresVersion

    public final void unknownIngresVersion(int arg0)

  Specified by:
    `unknownIngresVersion` in interface `CoreMessageLogger`

### unknownIngresVersion$str

    protected String unknownIngresVersion$str()

### unableToLogWarnings

    public final void unableToLogWarnings(SQLException arg0)

  Specified by:
    `unableToLogWarnings` in interface `CoreMessageLogger`

### unableToLogWarnings$str

    protected String unableToLogWarnings$str()

### usingDefaultTransactionStrategy

    public final void usingDefaultTransactionStrategy()

  Specified by:
    `usingDefaultTransactionStrategy` in interface `CoreMessageLogger`

### usingDefaultTransactionStrategy$str

    protected String usingDefaultTransactionStrategy$str()

### malformedUrlWarning

    public final void malformedUrlWarning(URL jarUrl,
                                          URISyntaxException e)

  Specified by:
    `malformedUrlWarning` in interface `EntityManagerMessageLogger`

### malformedUrlWarning$str

    protected String malformedUrlWarning$str()

### duplicateJoins

    public final void duplicateJoins(String arg0)

  Specified by:
    `duplicateJoins` in interface `CoreMessageLogger`

### duplicateJoins$str

    protected String duplicateJoins$str()

### usingHibernateBuiltInConnectionPool

    public final void usingHibernateBuiltInConnectionPool()

  Specified by:
    `usingHibernateBuiltInConnectionPool` in interface `CoreMessageLogger`

### usingHibernateBuiltInConnectionPool$str

    protected String usingHibernateBuiltInConnectionPool$str()

### duplicateListener

    public final void duplicateListener(String arg0)

  Specified by:
    `duplicateListener` in interface `CoreMessageLogger`

### duplicateListener$str

    protected String duplicateListener$str()

### unableToWrapResultSet

    public final void unableToWrapResultSet(SQLException arg0)

  Specified by:
    `unableToWrapResultSet` in interface `CoreMessageLogger`

### unableToWrapResultSet$str

    protected String unableToWrapResultSet$str()

### unableToCloseSession

    public final void unableToCloseSession(HibernateException arg0)

  Specified by:
    `unableToCloseSession` in interface `CoreMessageLogger`

### unableToCloseSession$str

    protected String unableToCloseSession$str()

### writingGeneratedSchemaToFile

    public final void writingGeneratedSchemaToFile(String arg0)

  Specified by:
    `writingGeneratedSchemaToFile` in interface `CoreMessageLogger`

### writingGeneratedSchemaToFile$str

    protected String writingGeneratedSchemaToFile$str()

### unableToLoadCommand

    public final void unableToLoadCommand(HibernateException arg0)

  Specified by:
    `unableToLoadCommand` in interface `CoreMessageLogger`

### unableToLoadCommand$str

    protected String unableToLoadCommand$str()

### unableToReleaseContext

    public final void unableToReleaseContext(String arg0)

  Specified by:
    `unableToReleaseContext` in interface `CoreMessageLogger`

### unableToReleaseContext$str

    protected String unableToReleaseContext$str()

### namedQueryError

    public final void namedQueryError(String arg0,
                                      HibernateException arg1)

  Specified by:
    `namedQueryError` in interface `CoreMessageLogger`

### namedQueryError$str

    protected String namedQueryError$str()

### closingUnreleasedBatch

    public final void closingUnreleasedBatch()

  Specified by:
    `closingUnreleasedBatch` in interface `CoreMessageLogger`

### closingUnreleasedBatch$str

    protected String closingUnreleasedBatch$str()

### exceptionHeaderNotFound

    public final void exceptionHeaderNotFound(String arg0,
                                              String arg1)

  Specified by:
    `exceptionHeaderNotFound` in interface `CoreMessageLogger`

### exceptionHeaderNotFound$str

    protected String exceptionHeaderNotFound$str()

### unableToUpdateQueryHiValue

    public final void unableToUpdateQueryHiValue(String arg0,
                                                 SQLException arg1)

  Specified by:
    `unableToUpdateQueryHiValue` in interface `CoreMessageLogger`

### unableToUpdateQueryHiValue$str

    protected String unableToUpdateQueryHiValue$str()

### unableToMarkForRollbackOnPersistenceException

    public final void unableToMarkForRollbackOnPersistenceException(Exception arg0)

  Specified by:
    `unableToMarkForRollbackOnPersistenceException` in interface `CoreMessageLogger`

### unableToMarkForRollbackOnPersistenceException$str

    protected String unableToMarkForRollbackOnPersistenceException$str()

### statementsClosed

    public final void statementsClosed(long arg0)

  Specified by:
    `statementsClosed` in interface `CoreMessageLogger`

### statementsClosed$str

    protected String statementsClosed$str()

### disablingContextualLOBCreationSinceOldJdbcVersion

    public final void disablingContextualLOBCreationSinceOldJdbcVersion(int arg0)

  Specified by:
    `disablingContextualLOBCreationSinceOldJdbcVersion` in interface `CoreMessageLogger`

### disablingContextualLOBCreationSinceOldJdbcVersion$str

    protected String disablingContextualLOBCreationSinceOldJdbcVersion$str()

### couldNotBindJndiListener

    public final void couldNotBindJndiListener()

  Specified by:
    `couldNotBindJndiListener` in interface `CoreMessageLogger`

### couldNotBindJndiListener$str

    protected String couldNotBindJndiListener$str()

### ejb3ConfigurationName

    public final void ejb3ConfigurationName(String name)

  Specified by:
    `ejb3ConfigurationName` in interface `EntityManagerMessageLogger`

### ejb3ConfigurationName$str

    protected String ejb3ConfigurationName$str()

### startingUpdateTimestampsCache

    public final void startingUpdateTimestampsCache(String arg0)

  Specified by:
    `startingUpdateTimestampsCache` in interface `CoreMessageLogger`

### startingUpdateTimestampsCache$str

    protected String startingUpdateTimestampsCache$str()

### unableToRollbackConnection

    public final void unableToRollbackConnection(Exception arg0)

  Specified by:
    `unableToRollbackConnection` in interface `CoreMessageLogger`

### unableToRollbackConnection$str

    protected String unableToRollbackConnection$str()

### addingOverrideFor

    public final void addingOverrideFor(String arg0,
                                        String arg1)

  Specified by:
    `addingOverrideFor` in interface `CoreMessageLogger`

### addingOverrideFor$str

    protected String addingOverrideFor$str()

### unableToCloseIterator

    public final void unableToCloseIterator(SQLException arg0)

  Specified by:
    `unableToCloseIterator` in interface `CoreMessageLogger`

### unableToCloseIterator$str

    protected String unableToCloseIterator$str()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.